Console Output

Started calculate disk usage of build
Finished Calculation of disk usage of build in 0 seconds
Started calculate disk usage of workspace
Finished Calculation of disk usage of workspace in 0 seconds
[INFO] 
[INFO] -------< org.eclipse.sensinact.gateway:sensinact-security-core >--------
[INFO] Building sensiNact IoT Gateway - Security Core 2.0-SNAPSHOT      [47/99]
[INFO] -------------------------------[ bundle ]-------------------------------
[INFO] 
[INFO] --- groovy-maven-plugin:2.0:execute (search-root-clean) @ sensinact-security-core ---
[INFO] PATH: /home/hudson/genie.sensinact/.jenkins/jobs/Gateway master Sonar/workspace
[INFO] 
[INFO] --- maven-clean-plugin:2.5:clean (default-clean) @ sensinact-security-core ---
[INFO] 
[INFO] --- groovy-maven-plugin:2.0:execute (search-root-validate) @ sensinact-security-core ---
[INFO] PATH: /home/hudson/genie.sensinact/.jenkins/jobs/Gateway master Sonar/workspace
[INFO] 
[INFO] --- maven-resources-plugin:3.1.0:resources (default-resources) @ sensinact-security-core ---
[INFO] Using 'UTF-8' encoding to copy filtered resources.
[INFO] Copying 4 resources
[INFO] 
[INFO] --- maven-compiler-plugin:3.0:compile (default-compile) @ sensinact-security-core ---
[INFO] Changes detected - recompiling the module!
[INFO] Compiling 50 source files to /home/hudson/genie.sensinact/.jenkins/jobs/Gateway master Sonar/workspace/platform/sensinact-security/sensinact-security-core/target/classes
[WARNING] /home/hudson/genie.sensinact/.jenkins/jobs/Gateway master Sonar/workspace/platform/sensinact-security/sensinact-security-core/src/main/java/org/eclipse/sensinact/gateway/core/security/entity/SnaEntity.java: /home/hudson/genie.sensinact/.jenkins/jobs/Gateway master Sonar/workspace/platform/sensinact-security/sensinact-security-core/src/main/java/org/eclipse/sensinact/gateway/core/security/entity/SnaEntity.java uses unchecked or unsafe operations.
[WARNING] /home/hudson/genie.sensinact/.jenkins/jobs/Gateway master Sonar/workspace/platform/sensinact-security/sensinact-security-core/src/main/java/org/eclipse/sensinact/gateway/core/security/entity/SnaEntity.java: Recompile with -Xlint:unchecked for details.
[INFO] 
[INFO] --- maven-dependency-plugin:2.8:copy (default) @ sensinact-security-core ---
[INFO] Configured Artifact: org.apache.felix:org.apache.felix.fileinstall:3.5.0:jar
[INFO] Configured Artifact: org.apache.felix:org.apache.felix.framework.security:2.4.0:jar
[INFO] Configured Artifact: org.eclipse.sensinact.gateway:sensinact-utils:2.0-SNAPSHOT:jar
[INFO] Configured Artifact: org.eclipse.sensinact.gateway:sensinact-datastore-api:2.0-SNAPSHOT:jar
[INFO] Configured Artifact: org.eclipse.sensinact.gateway:sensinact-sqlite-connector:2.0-SNAPSHOT:jar
[INFO] Configured Artifact: org.eclipse.sensinact.gateway:sensinact-common:2.0-SNAPSHOT:jar
[INFO] Configured Artifact: org.eclipse.sensinact.gateway:sensinact-framework-extension:2.0-SNAPSHOT:jar
[INFO] Configured Artifact: org.eclipse.sensinact.gateway.tools:sensinact-test-configuration:2.0-SNAPSHOT:jar
[INFO] Configured Artifact: org.eclipse.sensinact.gateway:sensinact-signature-validator:2.0-SNAPSHOT:jar
[INFO] Configured Artifact: org.eclipse.sensinact.gateway:sensinact-core:2.0-SNAPSHOT:jar
[INFO] Configured Artifact: org.eclipse.sensinact.gateway:sensinact-generic:2.0-SNAPSHOT:jar
[INFO] Configured Artifact: org.eclipse.sensinact.gateway.nthbnd:sensinact-northbound-access:2.0-SNAPSHOT:jar
[INFO] Configured Artifact: org.eclipse.sensinact.gateway.nthbnd:rest-access:2.0-SNAPSHOT:jar
[INFO] Configured Artifact: org.eclipse.sensinact.gateway.nthbnd:http-tools:2.0-SNAPSHOT:jar
[INFO] Configured Artifact: org.eclipse.sensinact.gateway.protocol:http:2.0-SNAPSHOT:jar
[INFO] Configured Artifact: javax.servlet:javax.servlet-api:3.1.0:jar
[INFO] Configured Artifact: org.apache.felix:org.apache.felix.http.api:2.3.2:jar
[INFO] Configured Artifact: org.apache.felix:org.apache.felix.http.jetty:3.0.0:jar
[INFO] Configured Artifact: org.apache.felix:org.apache.felix.configadmin:1.8.2:jar
[INFO] Configured Artifact: org.osgi:org.osgi.compendium:5.0.0:jar
[INFO] Configured Artifact: org.eclipse.sensinact.gateway.simulated.devices:slider:2.0-SNAPSHOT:jar
[INFO] Configured Artifact: org.eclipse.sensinact.gateway.simulated.devices:fan:2.0-SNAPSHOT:jar
[INFO] Configured Artifact: org.eclipse.sensinact.gateway.simulated.devices:button:2.0-SNAPSHOT:jar
[INFO] Copying org.apache.felix.fileinstall-3.5.0.jar to /home/hudson/genie.sensinact/.jenkins/jobs/Gateway master Sonar/workspace/platform/sensinact-security/sensinact-security-core/target/felix/bundle/org.apache.felix.fileinstall.jar
[INFO] Copying org.apache.felix.framework.security-2.4.0.jar to /home/hudson/genie.sensinact/.jenkins/jobs/Gateway master Sonar/workspace/platform/sensinact-security/sensinact-security-core/target/felix/bundle/org.apache.felix.framework.security.jar
[INFO] Copying sensinact-utils-2.0-SNAPSHOT.jar to /home/hudson/genie.sensinact/.jenkins/jobs/Gateway master Sonar/workspace/platform/sensinact-security/sensinact-security-core/target/felix/bundle/sensinact-utils.jar
[INFO] Copying sensinact-datastore-api-2.0-SNAPSHOT.jar to /home/hudson/genie.sensinact/.jenkins/jobs/Gateway master Sonar/workspace/platform/sensinact-security/sensinact-security-core/target/felix/bundle/sensinact-datastore-api.jar
[INFO] Copying sensinact-sqlite-connector-2.0-SNAPSHOT.jar to /home/hudson/genie.sensinact/.jenkins/jobs/Gateway master Sonar/workspace/platform/sensinact-security/sensinact-security-core/target/felix/bundle/sensinact-sqlite-connector.jar
[INFO] Copying sensinact-common-2.0-SNAPSHOT.jar to /home/hudson/genie.sensinact/.jenkins/jobs/Gateway master Sonar/workspace/platform/sensinact-security/sensinact-security-core/target/felix/bundle/sensinact-common.jar
[INFO] Copying sensinact-framework-extension-2.0-SNAPSHOT.jar to /home/hudson/genie.sensinact/.jenkins/jobs/Gateway master Sonar/workspace/platform/sensinact-security/sensinact-security-core/target/felix/bundle/sensinact-framework-extension.jar
[INFO] Copying sensinact-test-configuration-2.0-SNAPSHOT.jar to /home/hudson/genie.sensinact/.jenkins/jobs/Gateway master Sonar/workspace/platform/sensinact-security/sensinact-security-core/target/felix/bundle/sensinact-test-configuration.jar
[INFO] Copying sensinact-signature-validator-2.0-SNAPSHOT.jar to /home/hudson/genie.sensinact/.jenkins/jobs/Gateway master Sonar/workspace/platform/sensinact-security/sensinact-security-core/target/felix/bundle/sensinact-signature-validator.jar
[INFO] Copying sensinact-core-2.0-SNAPSHOT.jar to /home/hudson/genie.sensinact/.jenkins/jobs/Gateway master Sonar/workspace/platform/sensinact-security/sensinact-security-core/target/felix/bundle/sensinact-core.jar
[INFO] Copying sensinact-generic-2.0-SNAPSHOT.jar to /home/hudson/genie.sensinact/.jenkins/jobs/Gateway master Sonar/workspace/platform/sensinact-security/sensinact-security-core/target/felix/bundle/sensinact-generic.jar
[INFO] Copying sensinact-northbound-access-2.0-SNAPSHOT.jar to /home/hudson/genie.sensinact/.jenkins/jobs/Gateway master Sonar/workspace/platform/sensinact-security/sensinact-security-core/target/felix/bundle/sensinact-northbound-access.jar
[INFO] Copying rest-access-2.0-SNAPSHOT.jar to /home/hudson/genie.sensinact/.jenkins/jobs/Gateway master Sonar/workspace/platform/sensinact-security/sensinact-security-core/target/felix/bundle/rest-access.jar
[INFO] Copying http-tools-2.0-SNAPSHOT.jar to /home/hudson/genie.sensinact/.jenkins/jobs/Gateway master Sonar/workspace/platform/sensinact-security/sensinact-security-core/target/felix/bundle/http-tools.jar
[INFO] Copying http-2.0-SNAPSHOT.jar to /home/hudson/genie.sensinact/.jenkins/jobs/Gateway master Sonar/workspace/platform/sensinact-security/sensinact-security-core/target/felix/bundle/http.jar
[INFO] Copying javax.servlet-api-3.1.0.jar to /home/hudson/genie.sensinact/.jenkins/jobs/Gateway master Sonar/workspace/platform/sensinact-security/sensinact-security-core/target/felix/bundle/javax.servlet-api.jar
[INFO] Copying org.apache.felix.http.api-2.3.2.jar to /home/hudson/genie.sensinact/.jenkins/jobs/Gateway master Sonar/workspace/platform/sensinact-security/sensinact-security-core/target/felix/bundle/org.apache.felix.http.api.jar
[INFO] Copying org.apache.felix.http.jetty-3.0.0.jar to /home/hudson/genie.sensinact/.jenkins/jobs/Gateway master Sonar/workspace/platform/sensinact-security/sensinact-security-core/target/felix/bundle/org.apache.felix.http.jetty.jar
[INFO] Copying org.apache.felix.configadmin-1.8.2.jar to /home/hudson/genie.sensinact/.jenkins/jobs/Gateway master Sonar/workspace/platform/sensinact-security/sensinact-security-core/target/felix/bundle/org.apache.felix.configadmin.jar
[INFO] Copying org.osgi.compendium-5.0.0.jar to /home/hudson/genie.sensinact/.jenkins/jobs/Gateway master Sonar/workspace/platform/sensinact-security/sensinact-security-core/target/felix/bundle/org.osgi.compendium.jar
[INFO] Copying slider-2.0-SNAPSHOT.jar to /home/hudson/genie.sensinact/.jenkins/jobs/Gateway master Sonar/workspace/platform/sensinact-security/sensinact-security-core/target/felix/bundle/slider.jar
[INFO] Copying fan-2.0-SNAPSHOT.jar to /home/hudson/genie.sensinact/.jenkins/jobs/Gateway master Sonar/workspace/platform/sensinact-security/sensinact-security-core/target/felix/bundle/fan.jar
[INFO] Copying button-2.0-SNAPSHOT.jar to /home/hudson/genie.sensinact/.jenkins/jobs/Gateway master Sonar/workspace/platform/sensinact-security/sensinact-security-core/target/felix/bundle/button.jar
[INFO] 
[INFO] --- maven-antrun-plugin:1.8:run (default) @ sensinact-security-core ---
[WARNING] Parameter tasks is deprecated, use target instead
[INFO] Executing tasks

main:
     [echo] Copying keystore.jks
     [copy] Copying 1 file to /home/hudson/genie.sensinact/.jenkins/jobs/Gateway master Sonar/workspace/platform/sensinact-security/sensinact-security-core/target/felix/bundle
[INFO] Executed tasks
[INFO] 
[INFO] --- maven-bundle-plugin:2.5.3:manifest (default) @ sensinact-security-core ---
[WARNING] Include-Resource: overriding META-INF/services/org.eclipse.sensinact.gateway.core.security.SecuredAccessFactory=src/main/resources/META-INF/services/org.eclipse.sensinact.gateway.core.security.SecuredAccessFactory,META-INF/services/org.eclipse.sensinact.gateway.core.security.UserManagerFactory=src/main/resources/META-INF/services/org.eclipse.sensinact.gateway.core.security.UserManagerFactory,script/getMethodAccessibilities.sql=src/main/resources/script/getMethodAccessibilities.sql,script/getObjectFromPath.sql=src/main/resources/script/getObjectFromPath.sql with about.html,src/main/resources/ (add {maven-resources} if you want to include the maven resources)
[INFO] 
[INFO] --- maven-resources-plugin:3.1.0:testResources (default-testResources) @ sensinact-security-core ---
[INFO] Using 'UTF-8' encoding to copy filtered resources.
[INFO] Copying 3 resources
[INFO] 
[INFO] --- maven-compiler-plugin:3.0:testCompile (default-testCompile) @ sensinact-security-core ---
[INFO] Changes detected - recompiling the module!
[INFO] Compiling 4 source files to /home/hudson/genie.sensinact/.jenkins/jobs/Gateway master Sonar/workspace/platform/sensinact-security/sensinact-security-core/target/test-classes
[WARNING] /home/hudson/genie.sensinact/.jenkins/jobs/Gateway master Sonar/workspace/platform/sensinact-security/sensinact-security-core/src/test/java/org/eclipse/sensinact/gateway/core/security/test/TestSecurityPattern.java: Some input files use unchecked or unsafe operations.
[WARNING] /home/hudson/genie.sensinact/.jenkins/jobs/Gateway master Sonar/workspace/platform/sensinact-security/sensinact-security-core/src/test/java/org/eclipse/sensinact/gateway/core/security/test/TestSecurityPattern.java: Recompile with -Xlint:unchecked for details.
[INFO] 
[INFO] --- maven-antrun-plugin:1.8:run (createClassesDir) @ sensinact-security-core ---
[INFO] Executing tasks

main:
    [mkdir] Created dir: /home/hudson/genie.sensinact/.jenkins/jobs/Gateway master Sonar/workspace/platform/sensinact-security/sensinact-security-core/target/felix/tmp
    [mkdir] Created dir: /home/hudson/genie.sensinact/.jenkins/jobs/Gateway master Sonar/workspace/platform/sensinact-security/sensinact-security-core/target/extra-test-classes
    [javac] /home/hudson/genie.sensinact/.jenkins/jobs/Gateway master Sonar/workspace/platform/sensinact-security/sensinact-security-core/target/antrun/build-main.xml:6: warning: 'includeantruntime' was not set, defaulting to build.sysclasspath=last; set to false for repeatable builds
    [javac] Compiling 4 source files to /home/hudson/genie.sensinact/.jenkins/jobs/Gateway master Sonar/workspace/platform/sensinact-security/sensinact-security-core/target/extra-test-classes
    [javac] Picked up JAVA_TOOL_OPTIONS: -Xmx2G -Djava.io.tmpdir=/tmp/genie.sensinact
    [javac] Note: /home/hudson/genie.sensinact/.jenkins/jobs/Gateway master Sonar/workspace/platform/sensinact-security/sensinact-security-core/extra-src/test/java/org/eclipse/sensinact/gateway/mail/connector/MailAccountCallbackMoke.java uses unchecked or unsafe operations.
    [javac] Note: Recompile with -Xlint:unchecked for details.
[INFO] Executed tasks
[INFO] 
[INFO] --- maven-surefire-plugin:2.18.1:test (default-test) @ sensinact-security-core ---
[INFO] Surefire report directory: /home/hudson/genie.sensinact/.jenkins/jobs/Gateway master Sonar/workspace/platform/sensinact-security/sensinact-security-core/target/surefire-reports

-------------------------------------------------------
 T E S T S
-------------------------------------------------------
Picked up JAVA_TOOL_OPTIONS: -Xmx2G -Djava.io.tmpdir=/tmp/genie.sensinact
Running org.eclipse.sensinact.gateway.core.security.test.TestSecurityPattern
DEBUG: WIRE: [1.0] osgi.wiring.package; (osgi.wiring.package=javax.naming) -> [0]
DEBUG: WIRE: [1.0] osgi.wiring.package; (osgi.wiring.package=javax.naming.directory) -> [0]
DEBUG: WIRE: [1.0] osgi.wiring.package; (osgi.wiring.package=javax.sql) -> [0]
DEBUG: WIRE: [1.0] osgi.wiring.package; (osgi.wiring.package=javax.xml.parsers) -> [0]
DEBUG: WIRE: [1.0] osgi.wiring.package; (osgi.wiring.package=org.osgi.framework) -> [0]
DEBUG: WIRE: [1.0] osgi.wiring.package; (osgi.wiring.package=org.osgi.resource) -> [0]
DEBUG: WIRE: [3.0] osgi.wiring.package; (&(osgi.wiring.package=org.osgi.framework)(version>=1.4.0)(!(version>=2.0.0))) -> [0]
DEBUG: WIRE: [3.0] osgi.wiring.package; (&(osgi.wiring.package=org.osgi.service.cm)(version>=1.5.0)(!(version>=1.6.0))) -> [1.0]
DEBUG: WIRE: [3.0] osgi.wiring.package; (&(osgi.wiring.package=org.osgi.service.log)(version>=1.3.0)) -> [1.0]
DEBUG: WIRE: [4.0] osgi.wiring.package; (&(osgi.wiring.package=org.osgi.framework)(version>=1.6.0)(!(version>=2.0.0))) -> [0]
DEBUG: WIRE: [4.0] osgi.wiring.package; (&(osgi.wiring.package=org.osgi.framework.startlevel)(version>=1.0.0)(!(version>=2.0.0))) -> [0]
DEBUG: WIRE: [4.0] osgi.wiring.package; (&(osgi.wiring.package=org.osgi.framework.wiring)(version>=1.0.0)(!(version>=2.0.0))) -> [0]
DEBUG: WIRE: [4.0] osgi.wiring.package; (&(osgi.wiring.package=org.osgi.service.cm)(version>=1.3.0)(!(version>=2.0.0))) -> [1.0]
DEBUG: WIRE: [4.0] osgi.wiring.package; (&(osgi.wiring.package=org.osgi.service.log)(version>=1.3.0)(!(version>=2.0.0))) -> [1.0]
DEBUG: WIRE: [4.0] osgi.wiring.package; (&(osgi.wiring.package=org.osgi.service.url)(version>=1.0.0)(!(version>=2.0.0))) -> [0]
DEBUG: WIRE: [4.0] osgi.wiring.package; (&(osgi.wiring.package=org.osgi.util.tracker)(version>=1.4.0)(!(version>=2.0.0))) -> [0]
Watched path /jobs/genie.sensinact/Gateway master Sonar/workspace/platform/sensinact-security/sensinact-security-core/target/felix/load key sun.nio.fs.LinuxWatchService$LinuxWatchKey@24020571
{felix.fileinstall.poll (ms) = 2000, felix.fileinstall.dir = /home/hudson/genie.sensinact/.jenkins/jobs/Gateway master Sonar/workspace/platform/sensinact-security/sensinact-security-core/target/felix/load, felix.fileinstall.log.level = 4, felix.fileinstall.bundles.new.start = true, felix.fileinstall.tmpdir = /tmp/genie.sensinact/fileinstall--4424128747151851219, felix.fileinstall.filter = null, felix.fileinstall.start.level = 0}
DEBUG: WIRE: [5.0] osgi.wiring.package; (&(osgi.wiring.package=org.osgi.framework)(version>=1.7.0)(!(version>=2.0.0))) -> [0]
DEBUG: WIRE: [5.0] osgi.wiring.package; (&(osgi.wiring.package=org.osgi.service.condpermadmin)(version>=1.1.0)(!(version>=2.0.0))) -> [0]
DEBUG: WIRE: [5.0] osgi.ee; (&(osgi.ee=JavaSE)(version=1.7)) -> [0]
DEBUG: WIRE: [6.0] osgi.wiring.package; (osgi.wiring.package=javax.activation) -> [0]
DEBUG: WIRE: [6.0] osgi.wiring.package; (osgi.wiring.package=javax.crypto) -> [0]
DEBUG: WIRE: [6.0] osgi.wiring.package; (osgi.wiring.package=javax.crypto.interfaces) -> [0]
DEBUG: WIRE: [6.0] osgi.wiring.package; (osgi.wiring.package=javax.crypto.spec) -> [0]
DEBUG: WIRE: [6.0] osgi.wiring.package; (osgi.wiring.package=javax.mail) -> [0]
DEBUG: WIRE: [6.0] osgi.wiring.package; (osgi.wiring.package=javax.mail.internet) -> [0]
DEBUG: WIRE: [6.0] osgi.wiring.package; (osgi.wiring.package=javax.naming) -> [0]
DEBUG: WIRE: [6.0] osgi.wiring.package; (osgi.wiring.package=javax.naming.directory) -> [0]
DEBUG: WIRE: [6.0] osgi.wiring.package; (osgi.wiring.package=javax.security.auth.x500) -> [0]
DEBUG: WIRE: [6.0] osgi.wiring.package; (&(osgi.wiring.package=org.eclipse.sensinact.gateway.common.bundle)(version>=2.0.0)(!(version>=3.0.0))) -> [13.0]
DEBUG: WIRE: [6.0] osgi.wiring.package; (&(osgi.wiring.package=org.eclipse.sensinact.gateway.util)(version>=2.0.0)(!(version>=3.0.0))) -> [10.0]
DEBUG: WIRE: [6.0] osgi.wiring.package; (&(osgi.wiring.package=org.eclipse.sensinact.gateway.util.crypto)(version>=2.0.0)(!(version>=3.0.0))) -> [10.0]
DEBUG: WIRE: [6.0] osgi.wiring.package; (&(osgi.wiring.package=org.osgi.framework)(version>=1.7.0)(!(version>=2.0.0))) -> [0]
DEBUG: WIRE: [6.0] osgi.ee; (&(osgi.ee=JavaSE)(version=1.7)) -> [0]
DEBUG: WIRE: [10.0] osgi.wiring.package; (osgi.wiring.package=javax.imageio) -> [0]
DEBUG: WIRE: [10.0] osgi.wiring.package; (osgi.wiring.package=javax.xml.parsers) -> [0]
DEBUG: WIRE: [10.0] osgi.wiring.package; (&(osgi.wiring.package=org.osgi.framework)(version>=1.7.0)(!(version>=2.0.0))) -> [0]
DEBUG: WIRE: [10.0] osgi.wiring.package; (osgi.wiring.package=org.xml.sax) -> [0]
DEBUG: WIRE: [10.0] osgi.ee; (&(osgi.ee=JavaSE)(version=1.7)) -> [0]
DEBUG: WIRE: [13.0] osgi.wiring.package; (&(osgi.wiring.package=org.eclipse.sensinact.gateway.util)(version>=2.0.0)(!(version>=3.0.0))) -> [10.0]
DEBUG: WIRE: [13.0] osgi.wiring.package; (&(osgi.wiring.package=org.eclipse.sensinact.gateway.util.xml)(version>=2.0.0)(!(version>=3.0.0))) -> [10.0]
DEBUG: WIRE: [13.0] osgi.wiring.package; (&(osgi.wiring.package=org.json)(version>=20080701.0.0)(!(version>=20080702.0.0))) -> [10.0]
DEBUG: WIRE: [13.0] osgi.wiring.package; (&(osgi.wiring.package=org.osgi.framework)(version>=1.7.0)(!(version>=2.0.0))) -> [0]
DEBUG: WIRE: [13.0] osgi.wiring.package; (&(osgi.wiring.package=org.osgi.framework.wiring)(version>=1.1.0)(!(version>=2.0.0))) -> [0]
DEBUG: WIRE: [13.0] osgi.wiring.package; (&(osgi.wiring.package=org.osgi.service.cm)(version>=1.5.0)(!(version>=2.0.0))) -> [1.0]
DEBUG: WIRE: [13.0] osgi.wiring.package; (&(osgi.wiring.package=org.osgi.service.log)(version>=1.3.0)(!(version>=2.0.0))) -> [1.0]
DEBUG: WIRE: [13.0] osgi.wiring.package; (&(osgi.wiring.package=org.osgi.util.tracker)(version>=1.5.0)(!(version>=2.0.0))) -> [0]
DEBUG: WIRE: [13.0] osgi.wiring.package; (osgi.wiring.package=org.xml.sax) -> [0]
DEBUG: WIRE: [13.0] osgi.ee; (&(osgi.ee=JavaSE)(version=1.7)) -> [0]
DEBUG: Bundle sensinact-signature-validator [6] sensiNact-conf.xml not found by sensinact-signature-validator [6]
DEBUG: FRAGMENT WIRE: [15.0] osgi.wiring.host; (&(osgi.wiring.host=sensinact-core)(bundle-version>=0.0.0)) -> [7.0]
DEBUG: FRAGMENT WIRE: [12.0] osgi.wiring.host; (&(osgi.wiring.host=sensinact-core)(bundle-version>=0.0.0)) -> [7.0]
DEBUG: WIRE: [7.0] osgi.wiring.package; (&(osgi.wiring.package=org.eclipse.sensinact.gateway.common.bundle)(version>=2.0.0)(!(version>=3.0.0))) -> [13.0]
DEBUG: WIRE: [7.0] osgi.wiring.package; (&(osgi.wiring.package=org.eclipse.sensinact.gateway.common.constraint)(version>=2.0.0)(!(version>=3.0.0))) -> [13.0]
DEBUG: WIRE: [7.0] osgi.wiring.package; (&(osgi.wiring.package=org.eclipse.sensinact.gateway.common.execution)(version>=2.0.0)(!(version>=3.0.0))) -> [13.0]
DEBUG: WIRE: [7.0] osgi.wiring.package; (&(osgi.wiring.package=org.eclipse.sensinact.gateway.common.primitive)(version>=2.0.0)(!(version>=3.0.0))) -> [13.0]
DEBUG: WIRE: [7.0] osgi.wiring.package; (&(osgi.wiring.package=org.eclipse.sensinact.gateway.common.props)(version>=2.0.0)(!(version>=3.0.0))) -> [13.0]
DEBUG: WIRE: [7.0] osgi.wiring.package; (&(osgi.wiring.package=org.eclipse.sensinact.gateway.datastore.api)(version>=2.0.0)(!(version>=3.0.0))) -> [11.0]
DEBUG: WIRE: [7.0] osgi.wiring.package; (&(osgi.wiring.package=org.eclipse.sensinact.gateway.security.signature.api)(version>=2.0.0)(!(version>=3.0.0))) -> [6.0]
DEBUG: WIRE: [7.0] osgi.wiring.package; (&(osgi.wiring.package=org.eclipse.sensinact.gateway.util)(version>=2.0.0)(!(version>=3.0.0))) -> [10.0]
DEBUG: WIRE: [7.0] osgi.wiring.package; (&(osgi.wiring.package=org.eclipse.sensinact.gateway.util.crypto)(version>=2.0.0)(!(version>=3.0.0))) -> [10.0]
DEBUG: WIRE: [7.0] osgi.wiring.package; (&(osgi.wiring.package=org.eclipse.sensinact.gateway.util.stack)(version>=2.0.0)(!(version>=3.0.0))) -> [10.0]
DEBUG: WIRE: [7.0] osgi.wiring.package; (&(osgi.wiring.package=org.eclipse.sensinact.gateway.util.tree)(version>=2.0.0)(!(version>=3.0.0))) -> [10.0]
DEBUG: WIRE: [7.0] osgi.wiring.package; (&(osgi.wiring.package=org.json)(version>=20080701.0.0)(!(version>=20080702.0.0))) -> [10.0]
DEBUG: WIRE: [7.0] osgi.wiring.package; (&(osgi.wiring.package=org.osgi.framework)(version>=1.7.0)(!(version>=2.0.0))) -> [0]
DEBUG: WIRE: [7.0] osgi.wiring.package; (&(osgi.wiring.package=org.osgi.service.condpermadmin)(version>=1.1.0)(!(version>=2.0.0))) -> [0]
DEBUG: WIRE: [15.0] osgi.wiring.package; (&(osgi.wiring.package=org.eclipse.sensinact.gateway.common.bundle)(version>=2.0.0)(!(version>=3.0.0))) -> [13.0]
DEBUG: WIRE: [15.0] osgi.wiring.package; (&(osgi.wiring.package=org.eclipse.sensinact.gateway.common.primitive)(version>=2.0.0)(!(version>=3.0.0))) -> [13.0]
DEBUG: WIRE: [15.0] osgi.wiring.package; (&(osgi.wiring.package=org.eclipse.sensinact.gateway.datastore.api)(version>=2.0.0)(!(version>=3.0.0))) -> [11.0]
DEBUG: WIRE: [15.0] osgi.wiring.package; (&(osgi.wiring.package=org.eclipse.sensinact.gateway.util)(version>=2.0.0)(!(version>=3.0.0))) -> [10.0]
DEBUG: WIRE: [15.0] osgi.wiring.package; (&(osgi.wiring.package=org.eclipse.sensinact.gateway.util.tree)(version>=2.0.0)(!(version>=3.0.0))) -> [10.0]
DEBUG: WIRE: [15.0] osgi.wiring.package; (&(osgi.wiring.package=org.json)(version>=20080701.0.0)(!(version>=20080702.0.0))) -> [10.0]
DEBUG: WIRE: [15.0] osgi.wiring.package; (&(osgi.wiring.package=org.osgi.framework)(version>=1.7.0)(!(version>=2.0.0))) -> [0]
DEBUG: WIRE: [12.0] osgi.wiring.package; (osgi.wiring.package=javax.sql) -> [0]
DEBUG: WIRE: [12.0] osgi.wiring.package; (&(osgi.wiring.package=org.eclipse.sensinact.gateway.common.bundle)(version>=2.0.0)(!(version>=3.0.0))) -> [13.0]
DEBUG: WIRE: [12.0] osgi.wiring.package; (&(osgi.wiring.package=org.eclipse.sensinact.gateway.datastore.api)(version>=2.0.0)(!(version>=3.0.0))) -> [11.0]
DEBUG: WIRE: [12.0] osgi.wiring.package; (&(osgi.wiring.package=org.eclipse.sensinact.gateway.datastore.jdbc)(version>=2.0.0)(!(version>=3.0.0))) -> [11.0]
DEBUG: WIRE: [12.0] osgi.wiring.package; (&(osgi.wiring.package=org.eclipse.sensinact.gateway.util)(version>=2.0.0)(!(version>=3.0.0))) -> [10.0]
DEBUG: WIRE: [7.0] org.eclipse.sensinact.signature.validator; (*) -> [6.0]
DEBUG: WIRE: [7.0] osgi.ee; (&(osgi.ee=JavaSE)(version=1.7)) -> [0]
DEBUG: WIRE: [12.0] osgi.ee; (&(osgi.ee=JavaSE)(version=1.7)) -> [0]
DEBUG: WIRE: [11.0] osgi.wiring.package; (&(osgi.wiring.package=org.eclipse.sensinact.gateway.common.bundle)(version>=2.0.0)(!(version>=3.0.0))) -> [13.0]
DEBUG: WIRE: [11.0] osgi.wiring.package; (&(osgi.wiring.package=org.eclipse.sensinact.gateway.common.execution)(version>=2.0.0)(!(version>=3.0.0))) -> [13.0]
DEBUG: WIRE: [11.0] osgi.wiring.package; (&(osgi.wiring.package=org.json)(version>=20080701.0.0)(!(version>=20080702.0.0))) -> [10.0]
DEBUG: WIRE: [11.0] osgi.ee; (&(osgi.ee=JavaSE)(version=1.7)) -> [0]
DEBUG: WIRE: [8.0] osgi.wiring.package; (osgi.wiring.package=javax.xml.parsers) -> [0]
DEBUG: WIRE: [8.0] osgi.wiring.package; (&(osgi.wiring.package=org.eclipse.sensinact.gateway.common.bundle)(version>=2.0.0)(!(version>=3.0.0))) -> [13.0]
DEBUG: WIRE: [8.0] osgi.wiring.package; (&(osgi.wiring.package=org.eclipse.sensinact.gateway.common.constraint)(version>=2.0.0)(!(version>=3.0.0))) -> [13.0]
DEBUG: WIRE: [8.0] osgi.wiring.package; (&(osgi.wiring.package=org.eclipse.sensinact.gateway.common.execution)(version>=2.0.0)(!(version>=3.0.0))) -> [13.0]
DEBUG: WIRE: [8.0] osgi.wiring.package; (&(osgi.wiring.package=org.eclipse.sensinact.gateway.common.primitive)(version>=2.0.0)(!(version>=3.0.0))) -> [13.0]
DEBUG: WIRE: [8.0] osgi.wiring.package; (&(osgi.wiring.package=org.eclipse.sensinact.gateway.core)(version>=2.0.0)(!(version>=3.0.0))) -> [7.0]
DEBUG: WIRE: [8.0] osgi.wiring.package; (&(osgi.wiring.package=org.eclipse.sensinact.gateway.core.method)(version>=2.0.0)(!(version>=3.0.0))) -> [7.0]
DEBUG: WIRE: [8.0] osgi.wiring.package; (&(osgi.wiring.package=org.eclipse.sensinact.gateway.core.method.builder)(version>=2.0.0)(!(version>=3.0.0))) -> [7.0]
DEBUG: WIRE: [8.0] osgi.wiring.package; (&(osgi.wiring.package=org.eclipse.sensinact.gateway.core.method.trigger)(version>=2.0.0)(!(version>=3.0.0))) -> [7.0]
DEBUG: WIRE: [8.0] osgi.wiring.package; (&(osgi.wiring.package=org.eclipse.sensinact.gateway.core.security)(version>=2.0.0)(!(version>=3.0.0))) -> [7.0]
DEBUG: WIRE: [8.0] osgi.wiring.package; (&(osgi.wiring.package=org.eclipse.sensinact.gateway.util)(version>=2.0.0)(!(version>=3.0.0))) -> [10.0]
DEBUG: WIRE: [8.0] osgi.wiring.package; (&(osgi.wiring.package=org.eclipse.sensinact.gateway.util.xml)(version>=2.0.0)(!(version>=3.0.0))) -> [10.0]
DEBUG: WIRE: [8.0] osgi.wiring.package; (&(osgi.wiring.package=org.json)(version>=20080701.0.0)(!(version>=20080702.0.0))) -> [10.0]
DEBUG: WIRE: [8.0] osgi.wiring.package; (&(osgi.wiring.package=org.osgi.framework)(version>=1.7.0)(!(version>=2.0.0))) -> [0]
DEBUG: WIRE: [8.0] osgi.wiring.package; (osgi.wiring.package=org.xml.sax) -> [0]
DEBUG: WIRE: [8.0] osgi.ee; (&(osgi.ee=JavaSE)(version=1.7)) -> [0]
DEBUG: WIRE: [9.0] osgi.wiring.package; (osgi.wiring.package=javax.swing) -> [0]
DEBUG: WIRE: [9.0] osgi.wiring.package; (osgi.wiring.package=javax.swing.border) -> [0]
DEBUG: WIRE: [9.0] osgi.wiring.package; (osgi.wiring.package=javax.swing.event) -> [0]
DEBUG: WIRE: [9.0] osgi.wiring.package; (&(osgi.wiring.package=org.eclipse.sensinact.gateway.common.bundle)(version>=2.0.0)(!(version>=3.0.0))) -> [13.0]
DEBUG: WIRE: [9.0] osgi.wiring.package; (&(osgi.wiring.package=org.eclipse.sensinact.gateway.generic)(version>=2.0.0)(!(version>=3.0.0))) -> [8.0]
DEBUG: WIRE: [9.0] osgi.wiring.package; (&(osgi.wiring.package=org.eclipse.sensinact.gateway.generic.local)(version>=2.0.0)(!(version>=3.0.0))) -> [8.0]
DEBUG: WIRE: [9.0] osgi.wiring.package; (&(osgi.wiring.package=org.eclipse.sensinact.gateway.generic.packet)(version>=2.0.0)(!(version>=3.0.0))) -> [8.0]
DEBUG: WIRE: [9.0] osgi.wiring.package; (&(osgi.wiring.package=org.eclipse.sensinact.gateway.generic.packet.annotation)(version>=2.0.0)(!(version>=3.0.0))) -> [8.0]
DEBUG: WIRE: [9.0] osgi.wiring.package; (&(osgi.wiring.package=org.json)(version>=20080701.0.0)(!(version>=20080702.0.0))) -> [10.0]
DEBUG: WIRE: [9.0] osgi.wiring.package; (&(osgi.wiring.package=org.osgi.framework)(version>=1.7.0)(!(version>=2.0.0))) -> [0]
DEBUG: WIRE: [9.0] osgi.ee; (&(osgi.ee=JavaSE)(version=1.7)) -> [0]
DEBUG: Bundle slider [9] sensiNact-conf.xml not found by slider [9]
====================================>>>>>
[]
====================================>>>>>
{"name":"slider01","services":["admin","cursor"]}
{"name":"slider02","services":["admin","cursor"]}
{"name":"slider11","services":["admin","cursor"]}
{"name":"slider02","services":["cursor"]}
{"name":"slider01","services":["cursor"]}
{"name":"slider11","services":["cursor"]}
Felix stopped [678]
Tests run: 1, Failures: 0, Errors: 0, Skipped: 0, Time elapsed: 3.162 sec - in org.eclipse.sensinact.gateway.core.security.test.TestSecurityPattern
Running org.eclipse.sensinact.gateway.core.security.test.TestUserManager
DEBUG: WIRE: [1.0] osgi.wiring.package; (osgi.wiring.package=javax.naming) -> [0]
DEBUG: WIRE: [1.0] osgi.wiring.package; (osgi.wiring.package=javax.naming.directory) -> [0]
DEBUG: WIRE: [1.0] osgi.wiring.package; (osgi.wiring.package=javax.servlet) -> [7.0]
DEBUG: WIRE: [1.0] osgi.wiring.package; (osgi.wiring.package=javax.servlet.http) -> [7.0]
DEBUG: WIRE: [1.0] osgi.wiring.package; (osgi.wiring.package=javax.sql) -> [0]
DEBUG: WIRE: [1.0] osgi.wiring.package; (osgi.wiring.package=javax.xml.parsers) -> [0]
DEBUG: WIRE: [1.0] osgi.wiring.package; (osgi.wiring.package=org.osgi.framework) -> [0]
DEBUG: WIRE: [1.0] osgi.wiring.package; (osgi.wiring.package=org.osgi.resource) -> [0]
DEBUG: WIRE: [3.0] osgi.wiring.package; (&(osgi.wiring.package=org.osgi.framework)(version>=1.4.0)(!(version>=2.0.0))) -> [0]
DEBUG: WIRE: [3.0] osgi.wiring.package; (&(osgi.wiring.package=org.osgi.service.cm)(version>=1.5.0)(!(version>=1.6.0))) -> [1.0]
DEBUG: WIRE: [3.0] osgi.wiring.package; (&(osgi.wiring.package=org.osgi.service.log)(version>=1.3.0)) -> [1.0]
DEBUG: WIRE: [4.0] osgi.wiring.package; (&(osgi.wiring.package=org.osgi.framework)(version>=1.6.0)(!(version>=2.0.0))) -> [0]
DEBUG: WIRE: [4.0] osgi.wiring.package; (&(osgi.wiring.package=org.osgi.framework.startlevel)(version>=1.0.0)(!(version>=2.0.0))) -> [0]
DEBUG: WIRE: [4.0] osgi.wiring.package; (&(osgi.wiring.package=org.osgi.framework.wiring)(version>=1.0.0)(!(version>=2.0.0))) -> [0]
DEBUG: WIRE: [4.0] osgi.wiring.package; (&(osgi.wiring.package=org.osgi.service.cm)(version>=1.3.0)(!(version>=2.0.0))) -> [1.0]
DEBUG: WIRE: [4.0] osgi.wiring.package; (&(osgi.wiring.package=org.osgi.service.log)(version>=1.3.0)(!(version>=2.0.0))) -> [1.0]
DEBUG: WIRE: [4.0] osgi.wiring.package; (&(osgi.wiring.package=org.osgi.service.url)(version>=1.0.0)(!(version>=2.0.0))) -> [0]
DEBUG: WIRE: [4.0] osgi.wiring.package; (&(osgi.wiring.package=org.osgi.util.tracker)(version>=1.4.0)(!(version>=2.0.0))) -> [0]
Watched path /jobs/genie.sensinact/Gateway master Sonar/workspace/platform/sensinact-security/sensinact-security-core/target/felix/load key sun.nio.fs.LinuxWatchService$LinuxWatchKey@69d83109
{felix.fileinstall.poll (ms) = 2000, felix.fileinstall.dir = /home/hudson/genie.sensinact/.jenkins/jobs/Gateway master Sonar/workspace/platform/sensinact-security/sensinact-security-core/target/felix/load, felix.fileinstall.log.level = 4, felix.fileinstall.bundles.new.start = true, felix.fileinstall.tmpdir = /tmp/genie.sensinact/fileinstall-3704210550086418663, felix.fileinstall.filter = null, felix.fileinstall.start.level = 0}
DEBUG: WIRE: [5.0] osgi.wiring.package; (&(osgi.wiring.package=org.osgi.framework)(version>=1.7.0)(!(version>=2.0.0))) -> [0]
DEBUG: WIRE: [5.0] osgi.wiring.package; (&(osgi.wiring.package=org.osgi.service.condpermadmin)(version>=1.1.0)(!(version>=2.0.0))) -> [0]
DEBUG: WIRE: [5.0] osgi.ee; (&(osgi.ee=JavaSE)(version=1.7)) -> [0]
DEBUG: WIRE: [18.0] osgi.wiring.package; (osgi.wiring.package=javax.imageio) -> [0]
DEBUG: WIRE: [18.0] osgi.wiring.package; (osgi.wiring.package=javax.xml.parsers) -> [0]
DEBUG: WIRE: [18.0] osgi.wiring.package; (&(osgi.wiring.package=org.osgi.framework)(version>=1.7.0)(!(version>=2.0.0))) -> [0]
DEBUG: WIRE: [18.0] osgi.wiring.package; (osgi.wiring.package=org.xml.sax) -> [0]
DEBUG: WIRE: [18.0] osgi.ee; (&(osgi.ee=JavaSE)(version=1.7)) -> [0]
DEBUG: WIRE: [21.0] osgi.wiring.package; (&(osgi.wiring.package=org.eclipse.sensinact.gateway.util)(version>=2.0.0)(!(version>=3.0.0))) -> [18.0]
DEBUG: WIRE: [21.0] osgi.wiring.package; (&(osgi.wiring.package=org.eclipse.sensinact.gateway.util.xml)(version>=2.0.0)(!(version>=3.0.0))) -> [18.0]
DEBUG: WIRE: [21.0] osgi.wiring.package; (&(osgi.wiring.package=org.json)(version>=20080701.0.0)(!(version>=20080702.0.0))) -> [18.0]
DEBUG: WIRE: [21.0] osgi.wiring.package; (&(osgi.wiring.package=org.osgi.framework)(version>=1.7.0)(!(version>=2.0.0))) -> [0]
DEBUG: WIRE: [21.0] osgi.wiring.package; (&(osgi.wiring.package=org.osgi.framework.wiring)(version>=1.1.0)(!(version>=2.0.0))) -> [0]
DEBUG: WIRE: [21.0] osgi.wiring.package; (&(osgi.wiring.package=org.osgi.service.cm)(version>=1.5.0)(!(version>=2.0.0))) -> [1.0]
DEBUG: WIRE: [21.0] osgi.wiring.package; (&(osgi.wiring.package=org.osgi.service.log)(version>=1.3.0)(!(version>=2.0.0))) -> [1.0]
DEBUG: WIRE: [21.0] osgi.wiring.package; (&(osgi.wiring.package=org.osgi.util.tracker)(version>=1.5.0)(!(version>=2.0.0))) -> [0]
DEBUG: WIRE: [21.0] osgi.wiring.package; (osgi.wiring.package=org.xml.sax) -> [0]
DEBUG: WIRE: [21.0] osgi.ee; (&(osgi.ee=JavaSE)(version=1.7)) -> [0]
DEBUG: WIRE: [6.0] osgi.wiring.package; (osgi.wiring.package=javax.activation) -> [0]
DEBUG: WIRE: [6.0] osgi.wiring.package; (osgi.wiring.package=javax.crypto) -> [0]
DEBUG: WIRE: [6.0] osgi.wiring.package; (osgi.wiring.package=javax.crypto.interfaces) -> [0]
DEBUG: WIRE: [6.0] osgi.wiring.package; (osgi.wiring.package=javax.crypto.spec) -> [0]
DEBUG: WIRE: [6.0] osgi.wiring.package; (osgi.wiring.package=javax.mail) -> [0]
DEBUG: WIRE: [6.0] osgi.wiring.package; (osgi.wiring.package=javax.mail.internet) -> [0]
DEBUG: WIRE: [6.0] osgi.wiring.package; (osgi.wiring.package=javax.naming) -> [0]
DEBUG: WIRE: [6.0] osgi.wiring.package; (osgi.wiring.package=javax.naming.directory) -> [0]
DEBUG: WIRE: [6.0] osgi.wiring.package; (osgi.wiring.package=javax.security.auth.x500) -> [0]
DEBUG: WIRE: [6.0] osgi.wiring.package; (&(osgi.wiring.package=org.eclipse.sensinact.gateway.common.bundle)(version>=2.0.0)(!(version>=3.0.0))) -> [21.0]
DEBUG: WIRE: [6.0] osgi.wiring.package; (&(osgi.wiring.package=org.eclipse.sensinact.gateway.util)(version>=2.0.0)(!(version>=3.0.0))) -> [18.0]
DEBUG: WIRE: [6.0] osgi.wiring.package; (&(osgi.wiring.package=org.eclipse.sensinact.gateway.util.crypto)(version>=2.0.0)(!(version>=3.0.0))) -> [18.0]
DEBUG: WIRE: [6.0] osgi.wiring.package; (&(osgi.wiring.package=org.osgi.framework)(version>=1.7.0)(!(version>=2.0.0))) -> [0]
DEBUG: WIRE: [6.0] osgi.ee; (&(osgi.ee=JavaSE)(version=1.7)) -> [0]
DEBUG: Bundle sensinact-signature-validator [6] sensiNact-conf.xml not found by sensinact-signature-validator [6]
DEBUG: WIRE: [8.0] osgi.wiring.package; (&(osgi.wiring.package=javax.servlet)(version>=2.3.0)(!(version>=4.0.0))) -> [7.0]
DEBUG: WIRE: [8.0] osgi.wiring.package; (&(osgi.wiring.package=javax.servlet.http)(version>=2.3.0)(!(version>=4.0.0))) -> [7.0]
DEBUG: WIRE: [8.0] osgi.wiring.package; (&(osgi.wiring.package=org.osgi.service.http)(version>=1.2.0)(!(version>=2.0.0))) -> [1.0]
DEBUG: WIRE: [9.0] osgi.wiring.package; (osgi.wiring.package=javax.imageio) -> [0]
DEBUG: WIRE: [9.0] osgi.wiring.package; (osgi.wiring.package=javax.sql) -> [0]
DEBUG: WIRE: [9.0] osgi.wiring.package; (osgi.wiring.package=org.ietf.jgss) -> [0]
DEBUG: WIRE: [9.0] osgi.wiring.package; (&(osgi.wiring.package=org.osgi.service.useradmin)(version>=1.1.0)(!(version>=2.0.0))) -> [1.0]
DEBUG: WIRE: [9.0] osgi.wiring.package; (osgi.wiring.package=javax.management) -> [0]
DEBUG: WIRE: [9.0] osgi.wiring.package; (osgi.wiring.package=javax.management.modelmbean) -> [0]
DEBUG: WIRE: [9.0] osgi.wiring.package; (osgi.wiring.package=javax.management.remote) -> [0]
DEBUG: WIRE: [9.0] osgi.wiring.package; (osgi.wiring.package=javax.naming) -> [0]
DEBUG: WIRE: [9.0] osgi.wiring.package; (osgi.wiring.package=javax.net.ssl) -> [0]
DEBUG: WIRE: [9.0] osgi.wiring.package; (osgi.wiring.package=javax.security.auth) -> [0]
DEBUG: WIRE: [9.0] osgi.wiring.package; (&(osgi.wiring.package=javax.servlet)(version>=3.1.0)(!(version>=4.0.0))) -> [7.0]
DEBUG: WIRE: [9.0] osgi.wiring.package; (&(osgi.wiring.package=javax.servlet.annotation)(version>=3.1.0)(!(version>=4.0.0))) -> [7.0]
DEBUG: WIRE: [9.0] osgi.wiring.package; (&(osgi.wiring.package=javax.servlet.descriptor)(version>=3.1.0)(!(version>=4.0.0))) -> [7.0]
DEBUG: WIRE: [9.0] osgi.wiring.package; (&(osgi.wiring.package=javax.servlet.http)(version>=3.1.0)(!(version>=4.0.0))) -> [7.0]
DEBUG: WIRE: [9.0] osgi.wiring.package; (osgi.wiring.package=javax.xml.parsers) -> [0]
DEBUG: WIRE: [9.0] osgi.wiring.package; (&(osgi.wiring.package=org.apache.felix.http.api)(version>=2.0.0)(!(version>=3.0.0))) -> [8.0]
DEBUG: WIRE: [9.0] osgi.wiring.package; (&(osgi.wiring.package=org.osgi.framework)(version>=1.7.0)(!(version>=2.0.0))) -> [0]
DEBUG: WIRE: [9.0] osgi.wiring.package; (&(osgi.wiring.package=org.osgi.service.cm)(version>=1.3.0)(!(version>=2.0.0))) -> [1.0]
DEBUG: WIRE: [9.0] osgi.wiring.package; (&(osgi.wiring.package=org.osgi.service.event)(version>=1.2.0)(!(version>=2.0.0))) -> [1.0]
DEBUG: WIRE: [9.0] osgi.wiring.package; (&(osgi.wiring.package=org.osgi.service.http)(version>=1.2.0)(!(version>=2.0.0))) -> [1.0]
DEBUG: WIRE: [9.0] osgi.wiring.package; (&(osgi.wiring.package=org.osgi.service.log)(version>=1.3.0)(!(version>=2.0.0))) -> [1.0]
DEBUG: WIRE: [9.0] osgi.wiring.package; (&(osgi.wiring.package=org.osgi.util.tracker)(version>=1.5.0)(!(version>=2.0.0))) -> [0]
DEBUG: WIRE: [9.0] osgi.wiring.package; (osgi.wiring.package=org.xml.sax) -> [0]
DEBUG: WIRE: [9.0] osgi.wiring.package; (osgi.wiring.package=org.xml.sax.helpers) -> [0]
DEBUG: WIRE: [9.0] osgi.ee; (&(osgi.ee=JavaSE)(version=1.7)) -> [0]
DEBUG: Bundle javax.servlet-api [7] javax/servlet/LocalStrings_en.properties not found by javax.servlet-api [7]
DEBUG: Bundle javax.servlet-api [7] javax/servlet/LocalStrings_en_US.properties not found by javax.servlet-api [7]
DEBUG: Bundle javax.servlet-api [7] javax/servlet/http/LocalStrings_en.properties not found by javax.servlet-api [7]
DEBUG: Bundle javax.servlet-api [7] javax/servlet/http/LocalStrings_en_US.properties not found by javax.servlet-api [7]
DEBUG: Bundle org.apache.felix.http.jetty [9] jetty-logging.properties not found by org.apache.felix.http.jetty [9]
DEBUG: Bundle org.apache.felix.http.jetty [9] jetty-logging-linux.properties not found by org.apache.felix.http.jetty [9]
SLF4J: Failed to load class "org.slf4j.impl.StaticLoggerBinder".
SLF4J: Defaulting to no-operation (NOP) logger implementation
SLF4J: See http://www.slf4j.org/codes.html#StaticLoggerBinder for further details.
DEBUG: Bundle org.apache.felix.http.jetty [9] org/eclipse/jetty/http/mime_en.properties not found by org.apache.felix.http.jetty [9]
DEBUG: Bundle org.apache.felix.http.jetty [9] org/eclipse/jetty/http/mime_en_US.properties not found by org.apache.felix.http.jetty [9]
DEBUG: Bundle org.apache.felix.http.jetty [9] org/eclipse/jetty/http/encoding_en.properties not found by org.apache.felix.http.jetty [9]
DEBUG: Bundle org.apache.felix.http.jetty [9] org/eclipse/jetty/http/encoding_en_US.properties not found by org.apache.felix.http.jetty [9]
[INFO] Started Jetty 9.2.6.v20141205 at port(s) HTTP:8898 on context path /
DEBUG: WIRE: [10.0] osgi.wiring.package; (&(osgi.wiring.package=javax.servlet)(version>=3.1.0)(!(version>=4.0.0))) -> [7.0]
DEBUG: WIRE: [10.0] osgi.wiring.package; (&(osgi.wiring.package=javax.servlet.annotation)(version>=3.1.0)(!(version>=4.0.0))) -> [7.0]
DEBUG: WIRE: [10.0] osgi.wiring.package; (&(osgi.wiring.package=javax.servlet.http)(version>=3.1.0)(!(version>=4.0.0))) -> [7.0]
DEBUG: WIRE: [10.0] osgi.wiring.package; (&(osgi.wiring.package=org.apache.felix.http.api)(version>=2.0.0)(!(version>=3.0.0))) -> [8.0]
DEBUG: WIRE: [10.0] osgi.wiring.package; (&(osgi.wiring.package=org.eclipse.jetty.server)(version>=9.2.0)(!(version>=10.0.0))) -> [9.0]
DEBUG: WIRE: [10.0] osgi.wiring.package; (&(osgi.wiring.package=org.eclipse.jetty.util)(version>=9.2.0)(!(version>=10.0.0))) -> [9.0]
DEBUG: WIRE: [10.0] osgi.wiring.package; (&(osgi.wiring.package=org.eclipse.sensinact.gateway.common.bundle)(version>=2.0.0)(!(version>=3.0.0))) -> [21.0]
DEBUG: WIRE: [10.0] osgi.wiring.package; (&(osgi.wiring.package=org.eclipse.sensinact.gateway.common.execution)(version>=2.0.0)(!(version>=3.0.0))) -> [21.0]
DEBUG: WIRE: [10.0] osgi.wiring.package; (&(osgi.wiring.package=org.osgi.framework)(version>=1.7.0)(!(version>=2.0.0))) -> [0]
DEBUG: WIRE: [10.0] osgi.wiring.package; (&(osgi.wiring.package=org.osgi.service.http)(version>=1.2.0)(!(version>=2.0.0))) -> [1.0]
DEBUG: WIRE: [10.0] osgi.ee; (&(osgi.ee=JavaSE)(version=1.7)) -> [0]
DEBUG: Bundle http-tools [10] sensiNact-conf.xml not found by http-tools [10]
DEBUG: FRAGMENT WIRE: [20.0] osgi.wiring.host; (&(osgi.wiring.host=sensinact-core)(bundle-version>=0.0.0)) -> [11.0]
DEBUG: FRAGMENT WIRE: [24.0] osgi.wiring.host; (&(osgi.wiring.host=sensinact-core)(bundle-version>=0.0.0)) -> [11.0]
DEBUG: WIRE: [19.0] osgi.wiring.package; (&(osgi.wiring.package=org.eclipse.sensinact.gateway.common.bundle)(version>=2.0.0)(!(version>=3.0.0))) -> [21.0]
DEBUG: WIRE: [19.0] osgi.wiring.package; (&(osgi.wiring.package=org.eclipse.sensinact.gateway.common.execution)(version>=2.0.0)(!(version>=3.0.0))) -> [21.0]
DEBUG: WIRE: [19.0] osgi.wiring.package; (&(osgi.wiring.package=org.json)(version>=20080701.0.0)(!(version>=20080702.0.0))) -> [18.0]
DEBUG: WIRE: [19.0] osgi.ee; (&(osgi.ee=JavaSE)(version=1.7)) -> [0]
DEBUG: WIRE: [11.0] osgi.wiring.package; (&(osgi.wiring.package=org.eclipse.sensinact.gateway.common.bundle)(version>=2.0.0)(!(version>=3.0.0))) -> [21.0]
DEBUG: WIRE: [11.0] osgi.wiring.package; (&(osgi.wiring.package=org.eclipse.sensinact.gateway.common.constraint)(version>=2.0.0)(!(version>=3.0.0))) -> [21.0]
DEBUG: WIRE: [11.0] osgi.wiring.package; (&(osgi.wiring.package=org.eclipse.sensinact.gateway.common.execution)(version>=2.0.0)(!(version>=3.0.0))) -> [21.0]
DEBUG: WIRE: [11.0] osgi.wiring.package; (&(osgi.wiring.package=org.eclipse.sensinact.gateway.common.primitive)(version>=2.0.0)(!(version>=3.0.0))) -> [21.0]
DEBUG: WIRE: [11.0] osgi.wiring.package; (&(osgi.wiring.package=org.eclipse.sensinact.gateway.common.props)(version>=2.0.0)(!(version>=3.0.0))) -> [21.0]
DEBUG: WIRE: [11.0] osgi.wiring.package; (&(osgi.wiring.package=org.eclipse.sensinact.gateway.datastore.api)(version>=2.0.0)(!(version>=3.0.0))) -> [19.0]
DEBUG: WIRE: [11.0] osgi.wiring.package; (&(osgi.wiring.package=org.eclipse.sensinact.gateway.security.signature.api)(version>=2.0.0)(!(version>=3.0.0))) -> [6.0]
DEBUG: WIRE: [11.0] osgi.wiring.package; (&(osgi.wiring.package=org.eclipse.sensinact.gateway.util)(version>=2.0.0)(!(version>=3.0.0))) -> [18.0]
DEBUG: WIRE: [11.0] osgi.wiring.package; (&(osgi.wiring.package=org.eclipse.sensinact.gateway.util.crypto)(version>=2.0.0)(!(version>=3.0.0))) -> [18.0]
DEBUG: WIRE: [11.0] osgi.wiring.package; (&(osgi.wiring.package=org.eclipse.sensinact.gateway.util.stack)(version>=2.0.0)(!(version>=3.0.0))) -> [18.0]
DEBUG: WIRE: [11.0] osgi.wiring.package; (&(osgi.wiring.package=org.eclipse.sensinact.gateway.util.tree)(version>=2.0.0)(!(version>=3.0.0))) -> [18.0]
DEBUG: WIRE: [11.0] osgi.wiring.package; (&(osgi.wiring.package=org.json)(version>=20080701.0.0)(!(version>=20080702.0.0))) -> [18.0]
DEBUG: WIRE: [11.0] osgi.wiring.package; (&(osgi.wiring.package=org.osgi.framework)(version>=1.7.0)(!(version>=2.0.0))) -> [0]
DEBUG: WIRE: [11.0] osgi.wiring.package; (&(osgi.wiring.package=org.osgi.service.condpermadmin)(version>=1.1.0)(!(version>=2.0.0))) -> [0]
DEBUG: WIRE: [24.0] osgi.wiring.package; (&(osgi.wiring.package=org.eclipse.sensinact.gateway.common.bundle)(version>=2.0.0)(!(version>=3.0.0))) -> [21.0]
DEBUG: WIRE: [24.0] osgi.wiring.package; (&(osgi.wiring.package=org.eclipse.sensinact.gateway.common.primitive)(version>=2.0.0)(!(version>=3.0.0))) -> [21.0]
DEBUG: WIRE: [24.0] osgi.wiring.package; (&(osgi.wiring.package=org.eclipse.sensinact.gateway.datastore.api)(version>=2.0.0)(!(version>=3.0.0))) -> [19.0]
DEBUG: WIRE: [24.0] osgi.wiring.package; (&(osgi.wiring.package=org.eclipse.sensinact.gateway.util)(version>=2.0.0)(!(version>=3.0.0))) -> [18.0]
DEBUG: WIRE: [24.0] osgi.wiring.package; (&(osgi.wiring.package=org.eclipse.sensinact.gateway.util.tree)(version>=2.0.0)(!(version>=3.0.0))) -> [18.0]
DEBUG: WIRE: [24.0] osgi.wiring.package; (&(osgi.wiring.package=org.json)(version>=20080701.0.0)(!(version>=20080702.0.0))) -> [18.0]
DEBUG: WIRE: [24.0] osgi.wiring.package; (&(osgi.wiring.package=org.osgi.framework)(version>=1.7.0)(!(version>=2.0.0))) -> [0]
DEBUG: WIRE: [20.0] osgi.wiring.package; (osgi.wiring.package=javax.sql) -> [0]
DEBUG: WIRE: [20.0] osgi.wiring.package; (&(osgi.wiring.package=org.eclipse.sensinact.gateway.common.bundle)(version>=2.0.0)(!(version>=3.0.0))) -> [21.0]
DEBUG: WIRE: [20.0] osgi.wiring.package; (&(osgi.wiring.package=org.eclipse.sensinact.gateway.datastore.api)(version>=2.0.0)(!(version>=3.0.0))) -> [19.0]
DEBUG: WIRE: [20.0] osgi.wiring.package; (&(osgi.wiring.package=org.eclipse.sensinact.gateway.datastore.jdbc)(version>=2.0.0)(!(version>=3.0.0))) -> [19.0]
DEBUG: WIRE: [20.0] osgi.wiring.package; (&(osgi.wiring.package=org.eclipse.sensinact.gateway.util)(version>=2.0.0)(!(version>=3.0.0))) -> [18.0]
DEBUG: WIRE: [11.0] org.eclipse.sensinact.signature.validator; (*) -> [6.0]
DEBUG: WIRE: [11.0] osgi.ee; (&(osgi.ee=JavaSE)(version=1.7)) -> [0]
DEBUG: WIRE: [20.0] osgi.ee; (&(osgi.ee=JavaSE)(version=1.7)) -> [0]
DEBUG: WIRE: [12.0] osgi.wiring.package; (osgi.wiring.package=javax.xml.parsers) -> [0]
DEBUG: WIRE: [12.0] osgi.wiring.package; (&(osgi.wiring.package=org.eclipse.sensinact.gateway.common.bundle)(version>=2.0.0)(!(version>=3.0.0))) -> [21.0]
DEBUG: WIRE: [12.0] osgi.wiring.package; (&(osgi.wiring.package=org.eclipse.sensinact.gateway.common.constraint)(version>=2.0.0)(!(version>=3.0.0))) -> [21.0]
DEBUG: WIRE: [12.0] osgi.wiring.package; (&(osgi.wiring.package=org.eclipse.sensinact.gateway.common.execution)(version>=2.0.0)(!(version>=3.0.0))) -> [21.0]
DEBUG: WIRE: [12.0] osgi.wiring.package; (&(osgi.wiring.package=org.eclipse.sensinact.gateway.common.primitive)(version>=2.0.0)(!(version>=3.0.0))) -> [21.0]
DEBUG: WIRE: [12.0] osgi.wiring.package; (&(osgi.wiring.package=org.eclipse.sensinact.gateway.core)(version>=2.0.0)(!(version>=3.0.0))) -> [11.0]
DEBUG: WIRE: [12.0] osgi.wiring.package; (&(osgi.wiring.package=org.eclipse.sensinact.gateway.core.method)(version>=2.0.0)(!(version>=3.0.0))) -> [11.0]
DEBUG: WIRE: [12.0] osgi.wiring.package; (&(osgi.wiring.package=org.eclipse.sensinact.gateway.core.method.builder)(version>=2.0.0)(!(version>=3.0.0))) -> [11.0]
DEBUG: WIRE: [12.0] osgi.wiring.package; (&(osgi.wiring.package=org.eclipse.sensinact.gateway.core.method.trigger)(version>=2.0.0)(!(version>=3.0.0))) -> [11.0]
DEBUG: WIRE: [12.0] osgi.wiring.package; (&(osgi.wiring.package=org.eclipse.sensinact.gateway.core.security)(version>=2.0.0)(!(version>=3.0.0))) -> [11.0]
DEBUG: WIRE: [12.0] osgi.wiring.package; (&(osgi.wiring.package=org.eclipse.sensinact.gateway.util)(version>=2.0.0)(!(version>=3.0.0))) -> [18.0]
DEBUG: WIRE: [12.0] osgi.wiring.package; (&(osgi.wiring.package=org.eclipse.sensinact.gateway.util.xml)(version>=2.0.0)(!(version>=3.0.0))) -> [18.0]
DEBUG: WIRE: [12.0] osgi.wiring.package; (&(osgi.wiring.package=org.json)(version>=20080701.0.0)(!(version>=20080702.0.0))) -> [18.0]
DEBUG: WIRE: [12.0] osgi.wiring.package; (&(osgi.wiring.package=org.osgi.framework)(version>=1.7.0)(!(version>=2.0.0))) -> [0]
DEBUG: WIRE: [12.0] osgi.wiring.package; (osgi.wiring.package=org.xml.sax) -> [0]
DEBUG: WIRE: [12.0] osgi.ee; (&(osgi.ee=JavaSE)(version=1.7)) -> [0]
DEBUG: WIRE: [13.0] osgi.wiring.package; (&(osgi.wiring.package=org.eclipse.sensinact.gateway.common.bundle)(version>=2.0.0)(!(version>=3.0.0))) -> [21.0]
DEBUG: WIRE: [13.0] osgi.wiring.package; (&(osgi.wiring.package=org.eclipse.sensinact.gateway.common.execution)(version>=2.0.0)(!(version>=3.0.0))) -> [21.0]
DEBUG: WIRE: [13.0] osgi.wiring.package; (&(osgi.wiring.package=org.eclipse.sensinact.gateway.common.primitive)(version>=2.0.0)(!(version>=3.0.0))) -> [21.0]
DEBUG: WIRE: [13.0] osgi.wiring.package; (&(osgi.wiring.package=org.eclipse.sensinact.gateway.common.props)(version>=2.0.0)(!(version>=3.0.0))) -> [21.0]
DEBUG: WIRE: [13.0] osgi.wiring.package; (&(osgi.wiring.package=org.eclipse.sensinact.gateway.core)(version>=2.0.0)(!(version>=3.0.0))) -> [11.0]
DEBUG: WIRE: [13.0] osgi.wiring.package; (&(osgi.wiring.package=org.eclipse.sensinact.gateway.core.message)(version>=2.0.0)(!(version>=3.0.0))) -> [11.0]
DEBUG: WIRE: [13.0] osgi.wiring.package; (&(osgi.wiring.package=org.eclipse.sensinact.gateway.core.method)(version>=2.0.0)(!(version>=3.0.0))) -> [11.0]
DEBUG: WIRE: [13.0] osgi.wiring.package; (&(osgi.wiring.package=org.eclipse.sensinact.gateway.core.method.legacy)(version>=2.0.0)(!(version>=3.0.0))) -> [11.0]
DEBUG: WIRE: [13.0] osgi.wiring.package; (&(osgi.wiring.package=org.eclipse.sensinact.gateway.core.security)(version>=2.0.0)(!(version>=3.0.0))) -> [11.0]
DEBUG: WIRE: [13.0] osgi.wiring.package; (&(osgi.wiring.package=org.eclipse.sensinact.gateway.util)(version>=2.0.0)(!(version>=3.0.0))) -> [18.0]
DEBUG: WIRE: [13.0] osgi.wiring.package; (&(osgi.wiring.package=org.json)(version>=20080701.0.0)(!(version>=20080702.0.0))) -> [18.0]
DEBUG: WIRE: [13.0] osgi.wiring.package; (&(osgi.wiring.package=org.osgi.framework)(version>=1.7.0)(!(version>=2.0.0))) -> [0]
DEBUG: WIRE: [13.0] osgi.ee; (&(osgi.ee=JavaSE)(version=1.7)) -> [0]
DEBUG: WIRE: [22.0] osgi.wiring.package; (osgi.wiring.package=com.sun.net.httpserver) -> [0]
DEBUG: WIRE: [22.0] osgi.wiring.package; (osgi.wiring.package=javax.net.ssl) -> [0]
DEBUG: WIRE: [22.0] osgi.wiring.package; (&(osgi.wiring.package=org.eclipse.sensinact.gateway.util)(version>=2.0.0)(!(version>=3.0.0))) -> [18.0]
DEBUG: WIRE: [22.0] osgi.wiring.package; (&(osgi.wiring.package=org.eclipse.sensinact.gateway.util.stack)(version>=2.0.0)(!(version>=3.0.0))) -> [18.0]
DEBUG: WIRE: [22.0] osgi.wiring.package; (&(osgi.wiring.package=org.json)(version>=20080701.0.0)(!(version>=20080702.0.0))) -> [18.0]
DEBUG: WIRE: [22.0] osgi.ee; (&(osgi.ee=JavaSE)(version=1.7)) -> [0]
DEBUG: WIRE: [14.0] osgi.wiring.package; (&(osgi.wiring.package=javax.servlet)(version>=3.1.0)(!(version>=4.0.0))) -> [7.0]
DEBUG: WIRE: [14.0] osgi.wiring.package; (&(osgi.wiring.package=javax.servlet.annotation)(version>=3.1.0)(!(version>=4.0.0))) -> [7.0]
DEBUG: WIRE: [14.0] osgi.wiring.package; (&(osgi.wiring.package=javax.servlet.http)(version>=3.1.0)(!(version>=4.0.0))) -> [7.0]
DEBUG: WIRE: [14.0] osgi.wiring.package; (&(osgi.wiring.package=org.apache.felix.http.api)(version>=2.0.0)(!(version>=3.0.0))) -> [8.0]
DEBUG: WIRE: [14.0] osgi.wiring.package; (&(osgi.wiring.package=org.eclipse.jetty.websocket.api)(version>=9.2.0)(!(version>=10.0.0))) -> [9.0]
DEBUG: WIRE: [14.0] osgi.wiring.package; (&(osgi.wiring.package=org.eclipse.jetty.websocket.api.annotations)(version>=9.2.0)(!(version>=10.0.0))) -> [9.0]
DEBUG: WIRE: [14.0] osgi.wiring.package; (&(osgi.wiring.package=org.eclipse.jetty.websocket.servlet)(version>=9.2.0)(!(version>=10.0.0))) -> [9.0]
DEBUG: WIRE: [14.0] osgi.wiring.package; (&(osgi.wiring.package=org.eclipse.sensinact.gateway.common.bundle)(version>=2.0.0)(!(version>=3.0.0))) -> [21.0]
DEBUG: WIRE: [14.0] osgi.wiring.package; (&(osgi.wiring.package=org.eclipse.sensinact.gateway.common.execution)(version>=2.0.0)(!(version>=3.0.0))) -> [21.0]
DEBUG: WIRE: [14.0] osgi.wiring.package; (&(osgi.wiring.package=org.eclipse.sensinact.gateway.core.message)(version>=2.0.0)(!(version>=3.0.0))) -> [11.0]
DEBUG: WIRE: [14.0] osgi.wiring.package; (&(osgi.wiring.package=org.eclipse.sensinact.gateway.core.method)(version>=2.0.0)(!(version>=3.0.0))) -> [11.0]
DEBUG: WIRE: [14.0] osgi.wiring.package; (&(osgi.wiring.package=org.eclipse.sensinact.gateway.core.method.legacy)(version>=2.0.0)(!(version>=3.0.0))) -> [11.0]
DEBUG: WIRE: [14.0] osgi.wiring.package; (&(osgi.wiring.package=org.eclipse.sensinact.gateway.core.security)(version>=2.0.0)(!(version>=3.0.0))) -> [11.0]
DEBUG: WIRE: [14.0] osgi.wiring.package; (&(osgi.wiring.package=org.eclipse.sensinact.gateway.nthbnd.endpoint)(version>=2.0.0)(!(version>=3.0.0))) -> [13.0]
DEBUG: WIRE: [14.0] osgi.wiring.package; (&(osgi.wiring.package=org.eclipse.sensinact.gateway.protocol.http.client)(version>=2.0.0)(!(version>=3.0.0))) -> [22.0]
DEBUG: WIRE: [14.0] osgi.wiring.package; (&(osgi.wiring.package=org.eclipse.sensinact.gateway.util)(version>=2.0.0)(!(version>=3.0.0))) -> [18.0]
DEBUG: WIRE: [14.0] osgi.wiring.package; (&(osgi.wiring.package=org.json)(version>=20080701.0.0)(!(version>=20080702.0.0))) -> [18.0]
DEBUG: WIRE: [14.0] osgi.wiring.package; (&(osgi.wiring.package=org.osgi.framework)(version>=1.7.0)(!(version>=2.0.0))) -> [0]
DEBUG: WIRE: [14.0] osgi.wiring.package; (&(osgi.wiring.package=org.osgi.framework.wiring)(version>=1.1.0)(!(version>=2.0.0))) -> [0]
DEBUG: WIRE: [14.0] osgi.wiring.package; (&(osgi.wiring.package=org.osgi.service.http)(version>=1.2.0)(!(version>=2.0.0))) -> [1.0]
DEBUG: WIRE: [14.0] osgi.ee; (&(osgi.ee=JavaSE)(version=1.7)) -> [0]
DEBUG: Bundle rest-access [14] sensiNact-conf.xml not found by rest-access [14]
DEBUG: WIRE: [15.0] osgi.wiring.package; (osgi.wiring.package=javax.swing) -> [0]
DEBUG: WIRE: [15.0] osgi.wiring.package; (osgi.wiring.package=javax.swing.border) -> [0]
DEBUG: WIRE: [15.0] osgi.wiring.package; (osgi.wiring.package=javax.swing.event) -> [0]
DEBUG: WIRE: [15.0] osgi.wiring.package; (&(osgi.wiring.package=org.eclipse.sensinact.gateway.common.bundle)(version>=2.0.0)(!(version>=3.0.0))) -> [21.0]
DEBUG: WIRE: [15.0] osgi.wiring.package; (&(osgi.wiring.package=org.eclipse.sensinact.gateway.generic)(version>=2.0.0)(!(version>=3.0.0))) -> [12.0]
DEBUG: WIRE: [15.0] osgi.wiring.package; (&(osgi.wiring.package=org.eclipse.sensinact.gateway.generic.local)(version>=2.0.0)(!(version>=3.0.0))) -> [12.0]
DEBUG: WIRE: [15.0] osgi.wiring.package; (&(osgi.wiring.package=org.eclipse.sensinact.gateway.generic.packet)(version>=2.0.0)(!(version>=3.0.0))) -> [12.0]
DEBUG: WIRE: [15.0] osgi.wiring.package; (&(osgi.wiring.package=org.eclipse.sensinact.gateway.generic.packet.annotation)(version>=2.0.0)(!(version>=3.0.0))) -> [12.0]
DEBUG: WIRE: [15.0] osgi.wiring.package; (&(osgi.wiring.package=org.json)(version>=20080701.0.0)(!(version>=20080702.0.0))) -> [18.0]
DEBUG: WIRE: [15.0] osgi.wiring.package; (&(osgi.wiring.package=org.osgi.framework)(version>=1.7.0)(!(version>=2.0.0))) -> [0]
DEBUG: WIRE: [15.0] osgi.ee; (&(osgi.ee=JavaSE)(version=1.7)) -> [0]
DEBUG: Bundle slider [15] sensiNact-conf.xml not found by slider [15]
DEBUG: WIRE: [16.0] osgi.wiring.package; (osgi.wiring.package=javax.imageio) -> [0]
DEBUG: WIRE: [16.0] osgi.wiring.package; (osgi.wiring.package=javax.imageio.metadata) -> [0]
DEBUG: WIRE: [16.0] osgi.wiring.package; (osgi.wiring.package=javax.imageio.stream) -> [0]
DEBUG: WIRE: [16.0] osgi.wiring.package; (osgi.wiring.package=javax.swing) -> [0]
DEBUG: WIRE: [16.0] osgi.wiring.package; (osgi.wiring.package=javax.swing.border) -> [0]
DEBUG: WIRE: [16.0] osgi.wiring.package; (&(osgi.wiring.package=org.eclipse.sensinact.gateway.common.bundle)(version>=2.0.0)(!(version>=3.0.0))) -> [21.0]
DEBUG: WIRE: [16.0] osgi.wiring.package; (&(osgi.wiring.package=org.eclipse.sensinact.gateway.generic)(version>=2.0.0)(!(version>=3.0.0))) -> [12.0]
DEBUG: WIRE: [16.0] osgi.wiring.package; (&(osgi.wiring.package=org.eclipse.sensinact.gateway.generic.annotation)(version>=2.0.0)(!(version>=3.0.0))) -> [12.0]
DEBUG: WIRE: [16.0] osgi.wiring.package; (&(osgi.wiring.package=org.eclipse.sensinact.gateway.generic.local)(version>=2.0.0)(!(version>=3.0.0))) -> [12.0]
DEBUG: WIRE: [16.0] osgi.wiring.package; (&(osgi.wiring.package=org.eclipse.sensinact.gateway.generic.packet)(version>=2.0.0)(!(version>=3.0.0))) -> [12.0]
DEBUG: WIRE: [16.0] osgi.wiring.package; (&(osgi.wiring.package=org.osgi.framework)(version>=1.7.0)(!(version>=2.0.0))) -> [0]
DEBUG: WIRE: [16.0] osgi.wiring.package; (osgi.wiring.package=org.w3c.dom) -> [0]
DEBUG: WIRE: [16.0] osgi.ee; (&(osgi.ee=JavaSE)(version=1.7)) -> [0]
DEBUG: Bundle fan [16] sensiNact-conf.xml not found by fan [16]
DEBUG: WIRE: [17.0] osgi.wiring.package; (osgi.wiring.package=javax.swing) -> [0]
DEBUG: WIRE: [17.0] osgi.wiring.package; (osgi.wiring.package=javax.swing.border) -> [0]
DEBUG: WIRE: [17.0] osgi.wiring.package; (&(osgi.wiring.package=org.eclipse.sensinact.gateway.common.bundle)(version>=2.0.0)(!(version>=3.0.0))) -> [21.0]
DEBUG: WIRE: [17.0] osgi.wiring.package; (&(osgi.wiring.package=org.eclipse.sensinact.gateway.generic)(version>=2.0.0)(!(version>=3.0.0))) -> [12.0]
DEBUG: WIRE: [17.0] osgi.wiring.package; (&(osgi.wiring.package=org.eclipse.sensinact.gateway.generic.local)(version>=2.0.0)(!(version>=3.0.0))) -> [12.0]
DEBUG: WIRE: [17.0] osgi.wiring.package; (&(osgi.wiring.package=org.eclipse.sensinact.gateway.generic.packet)(version>=2.0.0)(!(version>=3.0.0))) -> [12.0]
DEBUG: WIRE: [17.0] osgi.wiring.package; (&(osgi.wiring.package=org.eclipse.sensinact.gateway.generic.packet.annotation)(version>=2.0.0)(!(version>=3.0.0))) -> [12.0]
DEBUG: WIRE: [17.0] osgi.wiring.package; (&(osgi.wiring.package=org.osgi.framework)(version>=1.7.0)(!(version>=2.0.0))) -> [0]
DEBUG: WIRE: [17.0] osgi.ee; (&(osgi.ee=JavaSE)(version=1.7)) -> [0]
DEBUG: Bundle button [17] sensiNact-conf.xml not found by button [17]
DEBUG: WIRE: [25.0] osgi.wiring.package; (&(osgi.wiring.package=org.eclipse.sensinact.gateway.common.bundle)(version>=2.0.0)(!(version>=3.0.0))) -> [21.0]
DEBUG: WIRE: [25.0] osgi.wiring.package; (&(osgi.wiring.package=org.eclipse.sensinact.gateway.common.execution)(version>=2.0.0)(!(version>=3.0.0))) -> [21.0]
DEBUG: WIRE: [25.0] osgi.wiring.package; (&(osgi.wiring.package=org.eclipse.sensinact.gateway.core.security)(version>=2.0.0)(!(version>=3.0.0))) -> [11.0]
DEBUG: WIRE: [25.0] osgi.wiring.package; (&(osgi.wiring.package=org.eclipse.sensinact.gateway.nthbnd.http.callback)(version>=2.0.0)(!(version>=3.0.0))) -> [10.0]
DEBUG: WIRE: [25.0] osgi.wiring.package; (&(osgi.wiring.package=org.eclipse.sensinact.gateway.datastore.api)(version>=2.0.0)(!(version>=3.0.0))) -> [19.0]
DEBUG: WIRE: [25.0] osgi.wiring.package; (&(osgi.wiring.package=org.osgi.framework)(version>=1.7.0)(!(version>=2.0.0))) -> [0]
DEBUG: WIRE: [25.0] osgi.ee; (&(osgi.ee=JavaSE)(version=1.7)) -> [0]
DEBUG: Bundle sensinact-mail-connector [25] sensiNact-conf.xml not found by sensinact-mail-connector [25]
Processing event {} on path {}
Processing event {} on path {}
A bundle with the same symbolic name (sensinact-mail-connector) and version (2.0.0.2018094) is already installed.  Updating this bundle instead.
DEBUG: WIRE: [25.1] osgi.wiring.package; (&(osgi.wiring.package=org.eclipse.sensinact.gateway.common.bundle)(version>=2.0.0)(!(version>=3.0.0))) -> [21.0]
DEBUG: WIRE: [25.1] osgi.wiring.package; (&(osgi.wiring.package=org.eclipse.sensinact.gateway.common.execution)(version>=2.0.0)(!(version>=3.0.0))) -> [21.0]
DEBUG: WIRE: [25.1] osgi.wiring.package; (&(osgi.wiring.package=org.eclipse.sensinact.gateway.core.security)(version>=2.0.0)(!(version>=3.0.0))) -> [11.0]
DEBUG: WIRE: [25.1] osgi.wiring.package; (&(osgi.wiring.package=org.eclipse.sensinact.gateway.nthbnd.http.callback)(version>=2.0.0)(!(version>=3.0.0))) -> [10.0]
DEBUG: WIRE: [25.1] osgi.wiring.package; (&(osgi.wiring.package=org.eclipse.sensinact.gateway.datastore.api)(version>=2.0.0)(!(version>=3.0.0))) -> [19.0]
DEBUG: WIRE: [25.1] osgi.wiring.package; (&(osgi.wiring.package=org.osgi.framework)(version>=1.7.0)(!(version>=2.0.0))) -> [0]
DEBUG: WIRE: [25.1] osgi.ee; (&(osgi.ee=JavaSE)(version=1.7)) -> [0]
DEBUG: Bundle sensinact-mail-connector [25] sensiNact-conf.xml not found by sensinact-mail-connector [25]
Started bundle: file:/home/hudson/genie.sensinact/.jenkins/jobs/Gateway%20master%20Sonar/workspace/platform/sensinact-security/sensinact-security-core/target/felix/load/test0.jar
Started bundle: file:/home/hudson/genie.sensinact/.jenkins/jobs/Gateway%20master%20Sonar/workspace/platform/sensinact-security/sensinact-security-core/target/felix/load/test0.jar
Started bundle: file:/home/hudson/genie.sensinact/.jenkins/jobs/Gateway%20master%20Sonar/workspace/platform/sensinact-security/sensinact-security-core/target/felix/load/test0.jar

	null:HTTP/1.1 200 OK
	Server:Jetty(9.2.6.v20141205)
	Content-Length:74
	Date:Sun, 03 Mar 2019 05:25:58 GMT
	X-Powered-By:Jetty(9.2.6.v20141205)
31a9ac5980b85954d596412efaa3ccf6
Felix stopped [367]
Tests run: 1, Failures: 0, Errors: 0, Skipped: 0, Time elapsed: 16.426 sec - in org.eclipse.sensinact.gateway.core.security.test.TestUserManager
Running org.eclipse.sensinact.gateway.core.security.test.TestSecurity
DEBUG: WIRE: [1.0] osgi.wiring.package; (osgi.wiring.package=javax.naming) -> [0]
DEBUG: WIRE: [1.0] osgi.wiring.package; (osgi.wiring.package=javax.naming.directory) -> [0]
DEBUG: WIRE: [1.0] osgi.wiring.package; (osgi.wiring.package=javax.sql) -> [0]
DEBUG: WIRE: [1.0] osgi.wiring.package; (osgi.wiring.package=javax.xml.parsers) -> [0]
DEBUG: WIRE: [1.0] osgi.wiring.package; (osgi.wiring.package=org.osgi.framework) -> [0]
DEBUG: WIRE: [1.0] osgi.wiring.package; (osgi.wiring.package=org.osgi.resource) -> [0]
DEBUG: WIRE: [3.0] osgi.wiring.package; (&(osgi.wiring.package=org.osgi.framework)(version>=1.4.0)(!(version>=2.0.0))) -> [0]
DEBUG: WIRE: [3.0] osgi.wiring.package; (&(osgi.wiring.package=org.osgi.service.cm)(version>=1.5.0)(!(version>=1.6.0))) -> [1.0]
DEBUG: WIRE: [3.0] osgi.wiring.package; (&(osgi.wiring.package=org.osgi.service.log)(version>=1.3.0)) -> [1.0]
DEBUG: WIRE: [4.0] osgi.wiring.package; (&(osgi.wiring.package=org.osgi.framework)(version>=1.6.0)(!(version>=2.0.0))) -> [0]
DEBUG: WIRE: [4.0] osgi.wiring.package; (&(osgi.wiring.package=org.osgi.framework.startlevel)(version>=1.0.0)(!(version>=2.0.0))) -> [0]
DEBUG: WIRE: [4.0] osgi.wiring.package; (&(osgi.wiring.package=org.osgi.framework.wiring)(version>=1.0.0)(!(version>=2.0.0))) -> [0]
DEBUG: WIRE: [4.0] osgi.wiring.package; (&(osgi.wiring.package=org.osgi.service.cm)(version>=1.3.0)(!(version>=2.0.0))) -> [1.0]
DEBUG: WIRE: [4.0] osgi.wiring.package; (&(osgi.wiring.package=org.osgi.service.log)(version>=1.3.0)(!(version>=2.0.0))) -> [1.0]
DEBUG: WIRE: [4.0] osgi.wiring.package; (&(osgi.wiring.package=org.osgi.service.url)(version>=1.0.0)(!(version>=2.0.0))) -> [0]
DEBUG: WIRE: [4.0] osgi.wiring.package; (&(osgi.wiring.package=org.osgi.util.tracker)(version>=1.4.0)(!(version>=2.0.0))) -> [0]
Watched path /jobs/genie.sensinact/Gateway master Sonar/workspace/platform/sensinact-security/sensinact-security-core/target/felix/load key sun.nio.fs.LinuxWatchService$LinuxWatchKey@268dae4f
{felix.fileinstall.poll (ms) = 2000, felix.fileinstall.dir = /home/hudson/genie.sensinact/.jenkins/jobs/Gateway master Sonar/workspace/platform/sensinact-security/sensinact-security-core/target/felix/load, felix.fileinstall.log.level = 4, felix.fileinstall.bundles.new.start = true, felix.fileinstall.tmpdir = /tmp/genie.sensinact/fileinstall-1726543013570703103, felix.fileinstall.filter = null, felix.fileinstall.start.level = 0}
DEBUG: WIRE: [5.0] osgi.wiring.package; (&(osgi.wiring.package=org.osgi.framework)(version>=1.7.0)(!(version>=2.0.0))) -> [0]
DEBUG: WIRE: [5.0] osgi.wiring.package; (&(osgi.wiring.package=org.osgi.service.condpermadmin)(version>=1.1.0)(!(version>=2.0.0))) -> [0]
DEBUG: WIRE: [5.0] osgi.ee; (&(osgi.ee=JavaSE)(version=1.7)) -> [0]
DEBUG: WIRE: [6.0] osgi.wiring.package; (osgi.wiring.package=javax.activation) -> [0]
DEBUG: WIRE: [6.0] osgi.wiring.package; (osgi.wiring.package=javax.crypto) -> [0]
DEBUG: WIRE: [6.0] osgi.wiring.package; (osgi.wiring.package=javax.crypto.interfaces) -> [0]
DEBUG: WIRE: [6.0] osgi.wiring.package; (osgi.wiring.package=javax.crypto.spec) -> [0]
DEBUG: WIRE: [6.0] osgi.wiring.package; (osgi.wiring.package=javax.mail) -> [0]
DEBUG: WIRE: [6.0] osgi.wiring.package; (osgi.wiring.package=javax.mail.internet) -> [0]
DEBUG: WIRE: [6.0] osgi.wiring.package; (osgi.wiring.package=javax.naming) -> [0]
DEBUG: WIRE: [6.0] osgi.wiring.package; (osgi.wiring.package=javax.naming.directory) -> [0]
DEBUG: WIRE: [6.0] osgi.wiring.package; (osgi.wiring.package=javax.security.auth.x500) -> [0]
DEBUG: WIRE: [6.0] osgi.wiring.package; (&(osgi.wiring.package=org.eclipse.sensinact.gateway.common.bundle)(version>=2.0.0)(!(version>=3.0.0))) -> [15.0]
DEBUG: WIRE: [6.0] osgi.wiring.package; (&(osgi.wiring.package=org.eclipse.sensinact.gateway.util)(version>=2.0.0)(!(version>=3.0.0))) -> [12.0]
DEBUG: WIRE: [6.0] osgi.wiring.package; (&(osgi.wiring.package=org.eclipse.sensinact.gateway.util.crypto)(version>=2.0.0)(!(version>=3.0.0))) -> [12.0]
DEBUG: WIRE: [6.0] osgi.wiring.package; (&(osgi.wiring.package=org.osgi.framework)(version>=1.7.0)(!(version>=2.0.0))) -> [0]
DEBUG: WIRE: [6.0] osgi.ee; (&(osgi.ee=JavaSE)(version=1.7)) -> [0]
DEBUG: WIRE: [15.0] osgi.wiring.package; (&(osgi.wiring.package=org.eclipse.sensinact.gateway.util)(version>=2.0.0)(!(version>=3.0.0))) -> [12.0]
DEBUG: WIRE: [15.0] osgi.wiring.package; (&(osgi.wiring.package=org.eclipse.sensinact.gateway.util.xml)(version>=2.0.0)(!(version>=3.0.0))) -> [12.0]
DEBUG: WIRE: [15.0] osgi.wiring.package; (&(osgi.wiring.package=org.json)(version>=20080701.0.0)(!(version>=20080702.0.0))) -> [12.0]
DEBUG: WIRE: [15.0] osgi.wiring.package; (&(osgi.wiring.package=org.osgi.framework)(version>=1.7.0)(!(version>=2.0.0))) -> [0]
DEBUG: WIRE: [15.0] osgi.wiring.package; (&(osgi.wiring.package=org.osgi.framework.wiring)(version>=1.1.0)(!(version>=2.0.0))) -> [0]
DEBUG: WIRE: [15.0] osgi.wiring.package; (&(osgi.wiring.package=org.osgi.service.cm)(version>=1.5.0)(!(version>=2.0.0))) -> [1.0]
DEBUG: WIRE: [15.0] osgi.wiring.package; (&(osgi.wiring.package=org.osgi.service.log)(version>=1.3.0)(!(version>=2.0.0))) -> [1.0]
DEBUG: WIRE: [15.0] osgi.wiring.package; (&(osgi.wiring.package=org.osgi.util.tracker)(version>=1.5.0)(!(version>=2.0.0))) -> [0]
DEBUG: WIRE: [15.0] osgi.wiring.package; (osgi.wiring.package=org.xml.sax) -> [0]
DEBUG: WIRE: [15.0] osgi.ee; (&(osgi.ee=JavaSE)(version=1.7)) -> [0]
DEBUG: WIRE: [12.0] osgi.wiring.package; (osgi.wiring.package=javax.imageio) -> [0]
DEBUG: WIRE: [12.0] osgi.wiring.package; (osgi.wiring.package=javax.xml.parsers) -> [0]
DEBUG: WIRE: [12.0] osgi.wiring.package; (&(osgi.wiring.package=org.osgi.framework)(version>=1.7.0)(!(version>=2.0.0))) -> [0]
DEBUG: WIRE: [12.0] osgi.wiring.package; (osgi.wiring.package=org.xml.sax) -> [0]
DEBUG: WIRE: [12.0] osgi.ee; (&(osgi.ee=JavaSE)(version=1.7)) -> [0]
DEBUG: Bundle sensinact-signature-validator [6] sensiNact-conf.xml not found by sensinact-signature-validator [6]
DEBUG: WIRE: [7.0] osgi.wiring.package; (&(osgi.wiring.package=org.eclipse.sensinact.gateway.common.bundle)(version>=2.0.0)(!(version>=3.0.0))) -> [15.0]
DEBUG: WIRE: [7.0] osgi.wiring.package; (&(osgi.wiring.package=org.eclipse.sensinact.gateway.common.constraint)(version>=2.0.0)(!(version>=3.0.0))) -> [15.0]
DEBUG: WIRE: [7.0] osgi.wiring.package; (&(osgi.wiring.package=org.eclipse.sensinact.gateway.common.execution)(version>=2.0.0)(!(version>=3.0.0))) -> [15.0]
DEBUG: WIRE: [7.0] osgi.wiring.package; (&(osgi.wiring.package=org.eclipse.sensinact.gateway.common.primitive)(version>=2.0.0)(!(version>=3.0.0))) -> [15.0]
DEBUG: WIRE: [7.0] osgi.wiring.package; (&(osgi.wiring.package=org.eclipse.sensinact.gateway.common.props)(version>=2.0.0)(!(version>=3.0.0))) -> [15.0]
DEBUG: WIRE: [7.0] osgi.wiring.package; (&(osgi.wiring.package=org.eclipse.sensinact.gateway.datastore.api)(version>=2.0.0)(!(version>=3.0.0))) -> [13.0]
DEBUG: WIRE: [7.0] osgi.wiring.package; (&(osgi.wiring.package=org.eclipse.sensinact.gateway.security.signature.api)(version>=2.0.0)(!(version>=3.0.0))) -> [6.0]
DEBUG: WIRE: [7.0] osgi.wiring.package; (&(osgi.wiring.package=org.eclipse.sensinact.gateway.util)(version>=2.0.0)(!(version>=3.0.0))) -> [12.0]
DEBUG: WIRE: [7.0] osgi.wiring.package; (&(osgi.wiring.package=org.eclipse.sensinact.gateway.util.crypto)(version>=2.0.0)(!(version>=3.0.0))) -> [12.0]
DEBUG: WIRE: [7.0] osgi.wiring.package; (&(osgi.wiring.package=org.eclipse.sensinact.gateway.util.stack)(version>=2.0.0)(!(version>=3.0.0))) -> [12.0]
DEBUG: WIRE: [7.0] osgi.wiring.package; (&(osgi.wiring.package=org.eclipse.sensinact.gateway.util.tree)(version>=2.0.0)(!(version>=3.0.0))) -> [12.0]
DEBUG: WIRE: [7.0] osgi.wiring.package; (&(osgi.wiring.package=org.json)(version>=20080701.0.0)(!(version>=20080702.0.0))) -> [12.0]
DEBUG: WIRE: [7.0] osgi.wiring.package; (&(osgi.wiring.package=org.osgi.framework)(version>=1.7.0)(!(version>=2.0.0))) -> [0]
DEBUG: WIRE: [7.0] osgi.wiring.package; (&(osgi.wiring.package=org.osgi.service.condpermadmin)(version>=1.1.0)(!(version>=2.0.0))) -> [0]
DEBUG: WIRE: [17.0] osgi.wiring.package; (&(osgi.wiring.package=org.eclipse.sensinact.gateway.common.bundle)(version>=2.0.0)(!(version>=3.0.0))) -> [15.0]
DEBUG: WIRE: [17.0] osgi.wiring.package; (&(osgi.wiring.package=org.eclipse.sensinact.gateway.common.primitive)(version>=2.0.0)(!(version>=3.0.0))) -> [15.0]
DEBUG: WIRE: [17.0] osgi.wiring.package; (&(osgi.wiring.package=org.eclipse.sensinact.gateway.datastore.api)(version>=2.0.0)(!(version>=3.0.0))) -> [13.0]
DEBUG: WIRE: [17.0] osgi.wiring.package; (&(osgi.wiring.package=org.eclipse.sensinact.gateway.util)(version>=2.0.0)(!(version>=3.0.0))) -> [12.0]
DEBUG: WIRE: [17.0] osgi.wiring.package; (&(osgi.wiring.package=org.eclipse.sensinact.gateway.util.tree)(version>=2.0.0)(!(version>=3.0.0))) -> [12.0]
DEBUG: WIRE: [17.0] osgi.wiring.package; (&(osgi.wiring.package=org.json)(version>=20080701.0.0)(!(version>=20080702.0.0))) -> [12.0]
DEBUG: WIRE: [17.0] osgi.wiring.package; (&(osgi.wiring.package=org.osgi.framework)(version>=1.7.0)(!(version>=2.0.0))) -> [0]
DEBUG: WIRE: [14.0] osgi.wiring.package; (osgi.wiring.package=javax.sql) -> [0]
DEBUG: WIRE: [14.0] osgi.wiring.package; (&(osgi.wiring.package=org.eclipse.sensinact.gateway.common.bundle)(version>=2.0.0)(!(version>=3.0.0))) -> [15.0]
DEBUG: WIRE: [14.0] osgi.wiring.package; (&(osgi.wiring.package=org.eclipse.sensinact.gateway.datastore.api)(version>=2.0.0)(!(version>=3.0.0))) -> [13.0]
DEBUG: WIRE: [14.0] osgi.wiring.package; (&(osgi.wiring.package=org.eclipse.sensinact.gateway.datastore.jdbc)(version>=2.0.0)(!(version>=3.0.0))) -> [13.0]
DEBUG: WIRE: [14.0] osgi.wiring.package; (&(osgi.wiring.package=org.eclipse.sensinact.gateway.util)(version>=2.0.0)(!(version>=3.0.0))) -> [12.0]
DEBUG: WIRE: [7.0] org.eclipse.sensinact.signature.validator; (*) -> [6.0]
DEBUG: WIRE: [7.0] osgi.ee; (&(osgi.ee=JavaSE)(version=1.7)) -> [0]
DEBUG: WIRE: [14.0] osgi.ee; (&(osgi.ee=JavaSE)(version=1.7)) -> [0]
DEBUG: FRAGMENT WIRE: [17.0] osgi.wiring.host; (&(osgi.wiring.host=sensinact-core)(bundle-version>=0.0.0)) -> [7.0]
DEBUG: WIRE: [13.0] osgi.wiring.package; (&(osgi.wiring.package=org.eclipse.sensinact.gateway.common.bundle)(version>=2.0.0)(!(version>=3.0.0))) -> [15.0]
DEBUG: WIRE: [13.0] osgi.wiring.package; (&(osgi.wiring.package=org.eclipse.sensinact.gateway.common.execution)(version>=2.0.0)(!(version>=3.0.0))) -> [15.0]
DEBUG: WIRE: [13.0] osgi.wiring.package; (&(osgi.wiring.package=org.json)(version>=20080701.0.0)(!(version>=20080702.0.0))) -> [12.0]
DEBUG: WIRE: [13.0] osgi.ee; (&(osgi.ee=JavaSE)(version=1.7)) -> [0]
DEBUG: FRAGMENT WIRE: [14.0] osgi.wiring.host; (&(osgi.wiring.host=sensinact-core)(bundle-version>=0.0.0)) -> [7.0]
DEBUG: WIRE: [8.0] osgi.wiring.package; (osgi.wiring.package=javax.xml.parsers) -> [0]
DEBUG: WIRE: [8.0] osgi.wiring.package; (&(osgi.wiring.package=org.eclipse.sensinact.gateway.common.bundle)(version>=2.0.0)(!(version>=3.0.0))) -> [15.0]
DEBUG: WIRE: [8.0] osgi.wiring.package; (&(osgi.wiring.package=org.eclipse.sensinact.gateway.common.constraint)(version>=2.0.0)(!(version>=3.0.0))) -> [15.0]
DEBUG: WIRE: [8.0] osgi.wiring.package; (&(osgi.wiring.package=org.eclipse.sensinact.gateway.common.execution)(version>=2.0.0)(!(version>=3.0.0))) -> [15.0]
DEBUG: WIRE: [8.0] osgi.wiring.package; (&(osgi.wiring.package=org.eclipse.sensinact.gateway.common.primitive)(version>=2.0.0)(!(version>=3.0.0))) -> [15.0]
DEBUG: WIRE: [8.0] osgi.wiring.package; (&(osgi.wiring.package=org.eclipse.sensinact.gateway.core)(version>=2.0.0)(!(version>=3.0.0))) -> [7.0]
DEBUG: WIRE: [8.0] osgi.wiring.package; (&(osgi.wiring.package=org.eclipse.sensinact.gateway.core.method)(version>=2.0.0)(!(version>=3.0.0))) -> [7.0]
DEBUG: WIRE: [8.0] osgi.wiring.package; (&(osgi.wiring.package=org.eclipse.sensinact.gateway.core.method.builder)(version>=2.0.0)(!(version>=3.0.0))) -> [7.0]
DEBUG: WIRE: [8.0] osgi.wiring.package; (&(osgi.wiring.package=org.eclipse.sensinact.gateway.core.method.trigger)(version>=2.0.0)(!(version>=3.0.0))) -> [7.0]
DEBUG: WIRE: [8.0] osgi.wiring.package; (&(osgi.wiring.package=org.eclipse.sensinact.gateway.core.security)(version>=2.0.0)(!(version>=3.0.0))) -> [7.0]
DEBUG: WIRE: [8.0] osgi.wiring.package; (&(osgi.wiring.package=org.eclipse.sensinact.gateway.util)(version>=2.0.0)(!(version>=3.0.0))) -> [12.0]
DEBUG: WIRE: [8.0] osgi.wiring.package; (&(osgi.wiring.package=org.eclipse.sensinact.gateway.util.xml)(version>=2.0.0)(!(version>=3.0.0))) -> [12.0]
DEBUG: WIRE: [8.0] osgi.wiring.package; (&(osgi.wiring.package=org.json)(version>=20080701.0.0)(!(version>=20080702.0.0))) -> [12.0]
DEBUG: WIRE: [8.0] osgi.wiring.package; (&(osgi.wiring.package=org.osgi.framework)(version>=1.7.0)(!(version>=2.0.0))) -> [0]
DEBUG: WIRE: [8.0] osgi.wiring.package; (osgi.wiring.package=org.xml.sax) -> [0]
DEBUG: WIRE: [8.0] osgi.ee; (&(osgi.ee=JavaSE)(version=1.7)) -> [0]
DEBUG: WIRE: [9.0] osgi.wiring.package; (osgi.wiring.package=javax.swing) -> [0]
DEBUG: WIRE: [9.0] osgi.wiring.package; (osgi.wiring.package=javax.swing.border) -> [0]
DEBUG: WIRE: [9.0] osgi.wiring.package; (osgi.wiring.package=javax.swing.event) -> [0]
DEBUG: WIRE: [9.0] osgi.wiring.package; (&(osgi.wiring.package=org.eclipse.sensinact.gateway.common.bundle)(version>=2.0.0)(!(version>=3.0.0))) -> [15.0]
DEBUG: WIRE: [9.0] osgi.wiring.package; (&(osgi.wiring.package=org.eclipse.sensinact.gateway.generic)(version>=2.0.0)(!(version>=3.0.0))) -> [8.0]
DEBUG: WIRE: [9.0] osgi.wiring.package; (&(osgi.wiring.package=org.eclipse.sensinact.gateway.generic.local)(version>=2.0.0)(!(version>=3.0.0))) -> [8.0]
DEBUG: WIRE: [9.0] osgi.wiring.package; (&(osgi.wiring.package=org.eclipse.sensinact.gateway.generic.packet)(version>=2.0.0)(!(version>=3.0.0))) -> [8.0]
DEBUG: WIRE: [9.0] osgi.wiring.package; (&(osgi.wiring.package=org.eclipse.sensinact.gateway.generic.packet.annotation)(version>=2.0.0)(!(version>=3.0.0))) -> [8.0]
DEBUG: WIRE: [9.0] osgi.wiring.package; (&(osgi.wiring.package=org.json)(version>=20080701.0.0)(!(version>=20080702.0.0))) -> [12.0]
DEBUG: WIRE: [9.0] osgi.wiring.package; (&(osgi.wiring.package=org.osgi.framework)(version>=1.7.0)(!(version>=2.0.0))) -> [0]
DEBUG: WIRE: [9.0] osgi.ee; (&(osgi.ee=JavaSE)(version=1.7)) -> [0]
DEBUG: Bundle slider [9] sensiNact-conf.xml not found by slider [9]
DEBUG: WIRE: [10.0] osgi.wiring.package; (osgi.wiring.package=javax.imageio) -> [0]
DEBUG: WIRE: [10.0] osgi.wiring.package; (osgi.wiring.package=javax.imageio.metadata) -> [0]
DEBUG: WIRE: [10.0] osgi.wiring.package; (osgi.wiring.package=javax.imageio.stream) -> [0]
DEBUG: WIRE: [10.0] osgi.wiring.package; (osgi.wiring.package=javax.swing) -> [0]
DEBUG: WIRE: [10.0] osgi.wiring.package; (osgi.wiring.package=javax.swing.border) -> [0]
DEBUG: WIRE: [10.0] osgi.wiring.package; (&(osgi.wiring.package=org.eclipse.sensinact.gateway.common.bundle)(version>=2.0.0)(!(version>=3.0.0))) -> [15.0]
DEBUG: WIRE: [10.0] osgi.wiring.package; (&(osgi.wiring.package=org.eclipse.sensinact.gateway.generic)(version>=2.0.0)(!(version>=3.0.0))) -> [8.0]
DEBUG: WIRE: [10.0] osgi.wiring.package; (&(osgi.wiring.package=org.eclipse.sensinact.gateway.generic.annotation)(version>=2.0.0)(!(version>=3.0.0))) -> [8.0]
DEBUG: WIRE: [10.0] osgi.wiring.package; (&(osgi.wiring.package=org.eclipse.sensinact.gateway.generic.local)(version>=2.0.0)(!(version>=3.0.0))) -> [8.0]
DEBUG: WIRE: [10.0] osgi.wiring.package; (&(osgi.wiring.package=org.eclipse.sensinact.gateway.generic.packet)(version>=2.0.0)(!(version>=3.0.0))) -> [8.0]
DEBUG: WIRE: [10.0] osgi.wiring.package; (&(osgi.wiring.package=org.osgi.framework)(version>=1.7.0)(!(version>=2.0.0))) -> [0]
DEBUG: WIRE: [10.0] osgi.wiring.package; (osgi.wiring.package=org.w3c.dom) -> [0]
DEBUG: WIRE: [10.0] osgi.ee; (&(osgi.ee=JavaSE)(version=1.7)) -> [0]
DEBUG: Bundle fan [10] sensiNact-conf.xml not found by fan [10]
DEBUG: WIRE: [11.0] osgi.wiring.package; (osgi.wiring.package=javax.swing) -> [0]
DEBUG: WIRE: [11.0] osgi.wiring.package; (osgi.wiring.package=javax.swing.border) -> [0]
DEBUG: WIRE: [11.0] osgi.wiring.package; (&(osgi.wiring.package=org.eclipse.sensinact.gateway.common.bundle)(version>=2.0.0)(!(version>=3.0.0))) -> [15.0]
DEBUG: WIRE: [11.0] osgi.wiring.package; (&(osgi.wiring.package=org.eclipse.sensinact.gateway.generic)(version>=2.0.0)(!(version>=3.0.0))) -> [8.0]
DEBUG: WIRE: [11.0] osgi.wiring.package; (&(osgi.wiring.package=org.eclipse.sensinact.gateway.generic.local)(version>=2.0.0)(!(version>=3.0.0))) -> [8.0]
DEBUG: WIRE: [11.0] osgi.wiring.package; (&(osgi.wiring.package=org.eclipse.sensinact.gateway.generic.packet)(version>=2.0.0)(!(version>=3.0.0))) -> [8.0]
DEBUG: WIRE: [11.0] osgi.wiring.package; (&(osgi.wiring.package=org.eclipse.sensinact.gateway.generic.packet.annotation)(version>=2.0.0)(!(version>=3.0.0))) -> [8.0]
DEBUG: WIRE: [11.0] osgi.wiring.package; (&(osgi.wiring.package=org.osgi.framework)(version>=1.7.0)(!(version>=2.0.0))) -> [0]
DEBUG: WIRE: [11.0] osgi.ee; (&(osgi.ee=JavaSE)(version=1.7)) -> [0]
DEBUG: Bundle button [11] sensiNact-conf.xml not found by button [11]
{"name":"slider","services":["admin","cursor"]}
{"name":"button","services":["admin","switch"]}
============================================
{"name":"slider","services":["admin","cursor"]}
{"name":"button","services":["admin","switch"]}
{"name":"fan","services":["admin","switch"]}
Felix stopped [1048]
Tests run: 1, Failures: 0, Errors: 0, Skipped: 0, Time elapsed: 2.743 sec - in org.eclipse.sensinact.gateway.core.security.test.TestSecurity
Running org.eclipse.sensinact.gateway.core.security.test.TestDAO
Tests run: 12, Failures: 0, Errors: 0, Skipped: 0, Time elapsed: 6.717 sec - in org.eclipse.sensinact.gateway.core.security.test.TestDAO

Results :

Tests run: 15, Failures: 0, Errors: 0, Skipped: 0

[JENKINS] Recording test results
[INFO] 
[INFO] --- maven-bundle-plugin:2.5.3:bundle (default-bundle) @ sensinact-security-core ---
[WARNING] Include-Resource: overriding META-INF/services/org.eclipse.sensinact.gateway.core.security.SecuredAccessFactory=src/main/resources/META-INF/services/org.eclipse.sensinact.gateway.core.security.SecuredAccessFactory,META-INF/services/org.eclipse.sensinact.gateway.core.security.UserManagerFactory=src/main/resources/META-INF/services/org.eclipse.sensinact.gateway.core.security.UserManagerFactory,script/getMethodAccessibilities.sql=src/main/resources/script/getMethodAccessibilities.sql,script/getObjectFromPath.sql=src/main/resources/script/getObjectFromPath.sql with about.html,src/main/resources/ (add {maven-resources} if you want to include the maven resources)
[WARNING] Bundle org.eclipse.sensinact.gateway:sensinact-security-core:bundle:2.0-SNAPSHOT : Export org.eclipse.sensinact.gateway.core.security.impl,  has 1,  private references [org.eclipse.sensinact.gateway.core.security.dao], 
[INFO] 
[INFO] --- maven-install-plugin:3.0.0-M1:install (default-install) @ sensinact-security-core ---
[INFO] Installing /home/hudson/genie.sensinact/.jenkins/jobs/Gateway master Sonar/workspace/platform/sensinact-security/sensinact-security-core/target/sensinact-security-core-2.0-SNAPSHOT.jar to /opt/public/hipp/homes/genie.sensinact/.m2/repository/org/eclipse/sensinact/gateway/sensinact-security-core/2.0-SNAPSHOT/sensinact-security-core-2.0-SNAPSHOT.jar
[INFO] Installing /home/hudson/genie.sensinact/.jenkins/jobs/Gateway master Sonar/workspace/platform/sensinact-security/sensinact-security-core/pom.xml to /opt/public/hipp/homes/genie.sensinact/.m2/repository/org/eclipse/sensinact/gateway/sensinact-security-core/2.0-SNAPSHOT/sensinact-security-core-2.0-SNAPSHOT.pom
[INFO] 
[INFO] --- maven-bundle-plugin:2.5.3:install (default-install) @ sensinact-security-core ---
[INFO] Installing org/eclipse/sensinact/gateway/sensinact-security-core/2.0-SNAPSHOT/sensinact-security-core-2.0-SNAPSHOT.jar
[INFO] Writing OBR metadata
[INFO] 
[INFO] --- groovy-maven-plugin:2.0:execute (search-sha) @ sensinact-security-core ---
[INFO] SHA: lTMKX2Rj5jZhdlABL+xoxOHzN7MJ46ioimU2v8IhZKk=